
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest0 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test001"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test002"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution3 = new org.apache.commons.math3.distribution.UniformRealDistribution(1.0d, 1.0d, 1.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test003"); }


    double d4 = org.apache.commons.math3.special.Beta.regularizedBeta(1.0d, 0.0d, 10.0d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test004"); }


    double d0 = org.apache.commons.math3.analysis.integration.BaseAbstractUnivariateIntegrator.DEFAULT_ABSOLUTE_ACCURACY;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 1.0E-15d);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test005"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.distribution.FDistribution fDistribution2 = new org.apache.commons.math3.distribution.FDistribution(0.0d, (-1.0d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test006"); }


    org.apache.commons.math3.exception.MathInternalError mathInternalError0 = new org.apache.commons.math3.exception.MathInternalError();

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test007"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.3978952727983707d);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test008"); }


    double d0 = org.apache.commons.math3.util.FastMath.PI;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 3.141592653589793d);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test009"); }


    int i0 = org.apache.commons.math3.analysis.integration.BaseAbstractUnivariateIntegrator.DEFAULT_MAX_ITERATIONS_COUNT;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 2147483647);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test010"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution3 = new org.apache.commons.math3.distribution.UniformRealDistribution(0.0d, (-1.0d), 1.0E-15d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test011"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(1.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0f);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test012"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test013"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test014"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 100.0d);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test015"); }


    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator0 = new org.apache.commons.math3.random.RandomDataGenerator();
    // The following exception was thrown during execution in test generation
    try {
      double d2 = randomDataGenerator0.nextExponential(0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test016"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(1, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test017"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.017453292519943295d));

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test018"); }


    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator0 = new org.apache.commons.math3.random.RandomDataGenerator();
    // The following exception was thrown during execution in test generation
    try {
      long long3 = randomDataGenerator0.nextSecureLong(10L, (-1L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test019"); }


    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator0 = new org.apache.commons.math3.random.RandomDataGenerator();
    // The following exception was thrown during execution in test generation
    try {
      int i3 = randomDataGenerator0.nextZipf(1, (-0.017453292519943295d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test020"); }


    double d1 = org.apache.commons.math3.special.Gamma.logGamma(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test021"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test022"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(10.0f, 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.000001f);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test023"); }


    org.apache.commons.math3.distribution.FDistribution fDistribution2 = new org.apache.commons.math3.distribution.FDistribution(Double.NaN, Double.NaN);
    // The following exception was thrown during execution in test generation
    try {
      double d5 = fDistribution2.probability(2.3978952727983707d, (-1.0d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test024"); }


    org.apache.commons.math3.distribution.FDistribution fDistribution2 = new org.apache.commons.math3.distribution.FDistribution(Double.NaN, Double.NaN);
    double d3 = fDistribution2.getNumericalVariance();
    double d4 = fDistribution2.getSupportUpperBound();
    double d5 = fDistribution2.getDenominatorDegreesOfFreedom();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test025"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.0d, Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test026"); }


    double d0 = org.apache.commons.math3.special.Gamma.GAMMA;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 0.5772156649015329d);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test027"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.distribution.FDistribution fDistribution2 = new org.apache.commons.math3.distribution.FDistribution(0.0d, 0.5772156649015329d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test028"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 9.999999999999995E-16d);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test029"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(10.000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test030"); }


    double d4 = org.apache.commons.math3.special.Gamma.regularizedGammaQ(0.0d, 10.0d, 9.999999999999995E-16d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test031"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(9.999999999999995E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 9.999999999999997E-16d);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test032"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(9.999999999999995E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test033"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test034"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 100.0f);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test035"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(9.999999999999997E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.000000000000001d);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test036"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.6293945E-6f);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test037"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7615941559557649d));

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test038"); }


    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator0 = new org.apache.commons.math3.random.RandomDataGenerator();
    // The following exception was thrown during execution in test generation
    try {
      double d3 = randomDataGenerator0.nextBeta(0.5772156649015329d, Double.NaN);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoBracketingException");
    } catch (org.apache.commons.math3.exception.NoBracketingException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NoBracketingException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoBracketingException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test039"); }


    org.apache.commons.math3.distribution.FDistribution fDistribution2 = new org.apache.commons.math3.distribution.FDistribution(Double.NaN, Double.NaN);
    double d3 = fDistribution2.getNumericalVariance();
    // The following exception was thrown during execution in test generation
    try {
      double d5 = fDistribution2.inverseCumulativeProbability(15.999999998898758d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test040"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(1.000000000000001d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test041"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test042"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.0d);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test043"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2((-0.017453292519943295d), (-0.017453292519943295d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-2.356194490192345d));

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test044"); }


    double d2 = org.apache.commons.math3.util.FastMath.max((-0.017453292519943295d), Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test045"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    double d5 = randomDataGenerator2.nextF(1.0d, 1.0E-15d);
    // The following exception was thrown during execution in test generation
    try {
      int i8 = randomDataGenerator2.nextSecureInt(2147483647, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 15.999999998898758d);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test046"); }


    double d0 = org.apache.commons.math3.distribution.AbstractRealDistribution.SOLVER_DEFAULT_ABSOLUTE_ACCURACY;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 1.0E-6d);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test047"); }


    double d1 = org.apache.commons.math3.special.Gamma.digamma(1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0000000000000005E15d));

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test048"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    double d4 = randomDataGenerator2.nextExponential(Double.NaN);
    // The following exception was thrown during execution in test generation
    try {
      int i7 = randomDataGenerator2.nextZipf(0, Double.POSITIVE_INFINITY);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test049"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test050"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.integration.IterativeLegendreGaussIntegrator iterativeLegendreGaussIntegrator5 = new org.apache.commons.math3.analysis.integration.IterativeLegendreGaussIntegrator(1197141900, 100.0d, 2.3978952727983707d, 1197141900, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test051"); }


    int i0 = org.apache.commons.math3.analysis.integration.BaseAbstractUnivariateIntegrator.DEFAULT_MIN_ITERATIONS_COUNT;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 3);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test052"); }


    double d5 = org.apache.commons.math3.special.Beta.regularizedBeta(1.0E-6d, 0.0d, 0.0d, 0.0d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test053"); }


    double d0 = org.apache.commons.math3.util.FastMath.E;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 2.718281828459045d);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test054"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test055"); }


    org.apache.commons.math3.distribution.FDistribution fDistribution2 = new org.apache.commons.math3.distribution.FDistribution(Double.NaN, Double.NaN);
    double d3 = fDistribution2.getNumericalVariance();
    double d4 = fDistribution2.getSupportUpperBound();
    // The following exception was thrown during execution in test generation
    try {
      double d7 = fDistribution2.probability(2.3978952727983707d, 9.999999999999995E-16d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test056"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test057"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.5772156649015329d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8379852878801965d);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test058"); }


    double d1 = org.apache.commons.math3.special.Gamma.trigamma(0.5772156649015329d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.8761550813359302d);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test059"); }


    double d2 = org.apache.commons.math3.util.FastMath.min((-2.356194490192345d), Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-2.356194490192345d));

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test060"); }


    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator0 = new org.apache.commons.math3.random.RandomDataGenerator();
    // The following exception was thrown during execution in test generation
    try {
      double d3 = randomDataGenerator0.nextUniform((-0.017453292519943295d), (-1.0000000000000005E15d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test061"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(100.0d, 0.8379852878801965d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.03838180300499015d));

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test062"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(15.999999998898758d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test063"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math3.exception.OutOfRangeException(localizable0, (java.lang.Number)100L, (java.lang.Number)1, (java.lang.Number)0);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test064"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    java.lang.Object[] obj_array4 = new java.lang.Object[] { '#' };
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException5 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable1, (java.lang.Number)0, obj_array4);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException6 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test065"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(100L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test066"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    // The following exception was thrown during execution in test generation
    try {
      double d5 = randomDataGenerator2.nextF((-0.4320285708747327d), 0.8379852878801965d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test067"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(100L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test068"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array3 = new java.lang.Object[] { '#' };
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException4 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)0, obj_array3);
    java.lang.Number number5 = maxCountExceededException4.getMax();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str6 = maxCountExceededException4.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0+ "'", number5.equals(0));

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test069"); }


    org.apache.commons.math3.random.Well19937c well19937c0 = new org.apache.commons.math3.random.Well19937c();

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test070"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(Double.NaN, 9.999999999999997E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test071"); }


    double d4 = org.apache.commons.math3.special.Beta.regularizedBeta((-0.4320285708747327d), 10.0d, 0.0d, 2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test072"); }


    double d2 = org.apache.commons.math3.special.Gamma.regularizedGammaQ((-0.7615941559557649d), 3.8761550813359302d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test073"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.1175823681357508E-22d);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test074"); }


    double d1 = org.apache.commons.math3.special.Gamma.trigamma(3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.3742437696541317d);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test075"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution5 = new org.apache.commons.math3.distribution.UniformRealDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c1, 3.141592653589793d, 0.5772156649015329d, 2.3978952727983707d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test076"); }


    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator0 = new org.apache.commons.math3.random.RandomDataGenerator();
    // The following exception was thrown during execution in test generation
    try {
      double d2 = randomDataGenerator0.nextExponential((-0.6472951994859133d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test077"); }


    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException0 = new org.apache.commons.math3.exception.MathIllegalStateException();

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test078"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    // The following exception was thrown during execution in test generation
    try {
      int i4 = well19937c1.nextInt(0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test079"); }


    double d1 = org.apache.commons.math3.special.Gamma.invGamma1pm1(1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.772150090234194E-7d);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test080"); }


    double d2 = org.apache.commons.math3.util.FastMath.log((-0.4320285708747327d), 0.3742437696541317d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test081"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.distribution.FDistribution fDistribution3 = new org.apache.commons.math3.distribution.FDistribution(1.000000000000001d, (-0.03838180300499015d), 3.8761550813359302d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test082"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    double d5 = randomDataGenerator2.nextF(1.0d, 1.0E-15d);
    randomDataGenerator2.reSeed(0L);
    // The following exception was thrown during execution in test generation
    try {
      long long10 = randomDataGenerator2.nextSecureLong(1L, 1L);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 15.999999998898758d);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test083"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(Double.NaN, 0.3742437696541317d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test084"); }


    org.apache.commons.math3.distribution.FDistribution fDistribution2 = new org.apache.commons.math3.distribution.FDistribution(Double.NaN, Double.NaN);
    boolean b3 = fDistribution2.isSupportUpperBoundInclusive();
    // The following exception was thrown during execution in test generation
    try {
      double d4 = fDistribution2.sample();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoBracketingException");
    } catch (org.apache.commons.math3.exception.NoBracketingException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NoBracketingException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoBracketingException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test085"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(0.0f, (-0.03838180300499015d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.4E-45f));

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test086"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    double d5 = randomDataGenerator2.nextF(1.0d, 1.0E-15d);
    randomDataGenerator2.reSeed();
    // The following exception was thrown during execution in test generation
    try {
      long long9 = randomDataGenerator2.nextLong(100L, (-1L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 15.999999998898758d);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test087"); }


    float f2 = org.apache.commons.math3.util.FastMath.max((-1.4E-45f), 7.6293945E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.6293945E-6f);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test088"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(9.999999999999995E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-15.0d));

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test089"); }


    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator0 = new org.apache.commons.math3.random.RandomDataGenerator();
    // The following exception was thrown during execution in test generation
    try {
      randomDataGenerator0.setSecureAlgorithm("", "");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test090"); }


    double d0 = org.apache.commons.math3.distribution.UniformRealDistribution.DEFAULT_INVERSE_ABSOLUTE_ACCURACY;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 1.0E-9d);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test091"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(3.8761550813359302d, (-0.03838180300499015d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.8761550813359302d);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test092"); }


    double d1 = org.apache.commons.math3.special.Gamma.logGamma(Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test093"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(4.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3862943611198906d);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test094"); }


    double d0 = org.apache.commons.math3.analysis.integration.BaseAbstractUnivariateIntegrator.DEFAULT_RELATIVE_ACCURACY;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 1.0E-6d);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test095"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math3.special.Beta.regularizedBeta(0.0d, Double.POSITIVE_INFINITY, 2.1175823681357508E-22d, 2.718281828459045d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.ConvergenceException");
    } catch (org.apache.commons.math3.exception.ConvergenceException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.ConvergenceException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.ConvergenceException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test096"); }


    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator0 = new org.apache.commons.math3.random.RandomDataGenerator();
    // The following exception was thrown during execution in test generation
    try {
      double d3 = randomDataGenerator0.nextBeta(Double.NaN, 9.999999999999997E-16d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoBracketingException");
    } catch (org.apache.commons.math3.exception.NoBracketingException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NoBracketingException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoBracketingException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test097"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(2.808054824124507E-7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.299108249625127E-4d);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test098"); }


    double d4 = org.apache.commons.math3.special.Gamma.regularizedGammaQ((-15.0d), 100.0d, 100.0d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test099"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.8379852878801965d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9154153635810339d);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test100"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(5.299108249625127E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.299108745631426E-4d);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test101"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    double d5 = randomDataGenerator2.nextF(1.0d, 1.0E-15d);
    // The following exception was thrown during execution in test generation
    try {
      long long8 = randomDataGenerator2.nextLong((-1L), (-1L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 15.999999998898758d);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test102"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test103"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(0, 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2147483647);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test104"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.3742437696541317d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test105"); }


    double d4 = org.apache.commons.math3.special.Beta.regularizedBeta(5.299108249625127E-4d, (-0.6472951994859133d), 1.0d, (-0.017453292519943295d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test106"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.1415926535897936d);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test107"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.0f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test108"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(2.808054824124507E-7d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test109"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.7477848159521367d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8647455209205404d);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test110"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1447298858494002d);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test111"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test112"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(10.000001f, (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.0f));

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test113"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(1.0E-9d, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 8.0E-9d);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test114"); }


    org.apache.commons.math3.distribution.FDistribution fDistribution3 = new org.apache.commons.math3.distribution.FDistribution(5.299108249625127E-4d, 0.9154153635810339d, 0.0d);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test115"); }


    org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution0 = new org.apache.commons.math3.distribution.UniformRealDistribution();
    boolean b1 = uniformRealDistribution0.isSupportConnected();
    double[] d_array3 = uniformRealDistribution0.sample(10);
    // The following exception was thrown during execution in test generation
    try {
      double d6 = uniformRealDistribution0.cumulativeProbability(15.999999998898758d, 2.718281828459045d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test116"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(100L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test117"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees((-0.4320285708747327d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-24.75341374019074d));

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test118"); }


    double d1 = org.apache.commons.math3.special.Gamma.digamma(0.8647455209205404d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.8247687384953829d));

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test119"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh((-1.0000000000000005E15d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test120"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test121"); }


    int[] i_array3 = new int[] { 1, 10, 0 };
    org.apache.commons.math3.random.Well19937c well19937c4 = new org.apache.commons.math3.random.Well19937c(i_array3);
    double d5 = well19937c4.nextDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.15254776173783657d);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test122"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1((-0.017453292519943295d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.017301866053338645d));

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test123"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    double d4 = randomDataGenerator2.nextExponential(Double.NaN);
    java.util.Collection collection5 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object[] obj_array7 = randomDataGenerator2.nextSample(collection5, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test124"); }


    double d1 = org.apache.commons.math3.special.Gamma.logGamma(0.5772156649015329d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.43429985658095865d);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test125"); }


    org.apache.commons.math3.distribution.FDistribution fDistribution2 = new org.apache.commons.math3.distribution.FDistribution(Double.NaN, Double.NaN);
    double d3 = fDistribution2.getNumeratorDegreesOfFreedom();
    // The following exception was thrown during execution in test generation
    try {
      double d4 = fDistribution2.sample();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoBracketingException");
    } catch (org.apache.commons.math3.exception.NoBracketingException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NoBracketingException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoBracketingException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test126"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    double d4 = randomDataGenerator2.nextExponential(Double.NaN);
    double d7 = randomDataGenerator2.nextWeibull(0.5772156649015329d, 1.0E-6d);
    // The following exception was thrown during execution in test generation
    try {
      long long10 = randomDataGenerator2.nextLong(7617141686494654831L, 7617141686494654831L);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 7.088234265348639E-6d);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test127"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution3 = new org.apache.commons.math3.distribution.UniformRealDistribution(0.0d, 0.0d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test128"); }


    java.lang.Number number0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException(number0, number1, (java.lang.Number)1.0d);
    java.lang.Number number4 = outOfRangeException3.getHi();
    java.lang.Number number5 = outOfRangeException3.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 1.0d+ "'", number4.equals(1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test129"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(2.3978952727983707d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7359704175800968d));

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test130"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(0.7477848159521367d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7260769626131014d);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test131"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.01d);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test132"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)(short)0, (java.lang.Number)(-1.0f), false);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test133"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    double d5 = randomDataGenerator2.nextF(1.0d, 1.0E-15d);
    randomDataGenerator2.reSeed(0L);
    double d9 = randomDataGenerator2.nextExponential(0.5772156649015329d);
    // The following exception was thrown during execution in test generation
    try {
      int i12 = randomDataGenerator2.nextInt(10, (-1737377827));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 15.999999998898758d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.2808058014862225d);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test134"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)0.8647455209205404d, (java.lang.Number)1.3862943611198906d, false);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test135"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0000001f);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test136"); }


    double d2 = org.apache.commons.math3.special.Beta.logBeta(0.9154153635810339d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test137"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.43429985658095865d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.8340200696717661d));

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test138"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    double d4 = randomDataGenerator2.nextExponential(Double.NaN);
    double d7 = randomDataGenerator2.nextWeibull(0.5772156649015329d, 1.0E-6d);
    // The following exception was thrown during execution in test generation
    try {
      long long10 = randomDataGenerator2.nextLong(7617141686494654831L, 100L);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 7.088234265348639E-6d);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test139"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test140"); }


    int[] i_array3 = new int[] { 1, 10, 0 };
    org.apache.commons.math3.random.Well19937c well19937c4 = new org.apache.commons.math3.random.Well19937c(i_array3);
    float f5 = well19937c4.nextFloat();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f5 == 0.15254772f);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test141"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)0.8379852878801965d);
    java.lang.Number number3 = notStrictlyPositiveException2.getArgument();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathInternalError mathInternalError4 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)notStrictlyPositiveException2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0.8379852878801965d+ "'", number3.equals(0.8379852878801965d));

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test142"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    double d4 = randomDataGenerator2.nextExponential(Double.NaN);
    java.lang.String str6 = randomDataGenerator2.nextHexString(1);
    // The following exception was thrown during execution in test generation
    try {
      long long8 = randomDataGenerator2.nextPoisson(0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "0"+ "'", str6.equals("0"));

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test143"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.9154153635810339d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3008467899619307d);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test144"); }


    double d4 = org.apache.commons.math3.special.Beta.regularizedBeta(100.0d, 2.3978952727983707d, (-24.75341374019074d), (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test145"); }


    org.apache.commons.math3.distribution.FDistribution fDistribution2 = new org.apache.commons.math3.distribution.FDistribution(Double.NaN, Double.NaN);
    boolean b3 = fDistribution2.isSupportConnected();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test146"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test147"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)5.772150090234194E-7d, number2, true);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test148"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    double d5 = randomDataGenerator2.nextUniform((-0.8247687384953829d), (-0.017301866053338645d));
    java.util.Collection collection6 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object[] obj_array8 = randomDataGenerator2.nextSample(collection6, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-0.4946959340754849d));

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test149"); }


    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)0.5772156649015329d, (java.lang.Number)0.0f, (java.lang.Number)0L);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test150"); }


    double d1 = org.apache.commons.math3.special.Gamma.lanczos(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 32.94631867978169d);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test151"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.0E-6d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test152"); }


    double d3 = org.apache.commons.math3.special.Beta.regularizedBeta(1.000000000000001d, 1.0E-6d, 1.3008467899619307d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test153"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution5 = new org.apache.commons.math3.distribution.UniformRealDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c1, 0.0d, 4.0d, (-0.03838180300499015d));
    org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution9 = new org.apache.commons.math3.distribution.UniformRealDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c1, (-1.0000000000000005E15d), 1.000000000000001d, 0.8379852878801965d);
    double d10 = well19937c1.nextDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.40877566087838346d);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test154"); }


    double d2 = org.apache.commons.math3.util.FastMath.log((-0.6472951994859133d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test155"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test156"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    double d5 = randomDataGenerator2.nextF(1.0d, 1.0E-15d);
    randomDataGenerator2.reSeed(0L);
    double d9 = randomDataGenerator2.nextExponential(5.772150090234194E-7d);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array12 = randomDataGenerator2.nextPermutation(10, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 15.999999998898758d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 2.808054824124507E-7d);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test157"); }


    double d1 = org.apache.commons.math3.special.Gamma.digamma(0.15254776173783657d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-6.906227849713769d));

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test158"); }


    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator0 = new org.apache.commons.math3.random.RandomDataGenerator();
    // The following exception was thrown during execution in test generation
    try {
      int i4 = randomDataGenerator0.nextHypergeometric((-1), (-1737377827), 1197141900);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test159"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4E-45f);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test160"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(0.3742437696541317d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.3742437696541317d);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test161"); }


    double d1 = org.apache.commons.math3.special.Gamma.logGamma(8.0E-9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 18.64382429064885d);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test162"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-1), 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test163"); }


    double d0 = org.apache.commons.math3.special.Gamma.LANCZOS_G;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 4.7421875d);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test164"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)0.9154153635810339d, (java.lang.Number)0.40877566087838346d, false);
    java.lang.Number number4 = numberIsTooSmallException3.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0.40877566087838346d+ "'", number4.equals(0.40877566087838346d));

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test165"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test166"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    well19937c1.setSeed(1);
    int i4 = well19937c1.nextInt();
    well19937c1.setSeed(2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1197141900);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test167"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    well19937c1.setSeed(1);
    float f4 = well19937c1.nextFloat();
    double d5 = well19937c1.nextGaussian();
    float f6 = well19937c1.nextFloat();
    long long7 = well19937c1.nextLong();
    well19937c1.setSeed(10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f4 == 0.27873123f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-0.4320285708747327d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f6 == 0.5548245f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 7617141686494654831L);

  }

  @Test
  public void test168() {}
// Defects4J: flaky method
//   @Test
//   public void test168() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test168"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     double d5 = randomDataGenerator2.nextF(1.0d, 1.0E-15d);
//     randomDataGenerator2.reSeed();
//     double d8 = randomDataGenerator2.nextT(100.0d);
//     java.util.Collection collection9 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.Object[] obj_array11 = randomDataGenerator2.nextSample(collection9, (-1737377827));
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 15.999999998898758d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == (-0.8472618742199538d));
// 
//   }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test169"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    well19937c1.setSeed(1);
    int i4 = well19937c1.nextInt();
    int i5 = well19937c1.nextInt();
    float f6 = well19937c1.nextFloat();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution10 = new org.apache.commons.math3.distribution.UniformRealDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c1, Double.POSITIVE_INFINITY, 7.088234265348639E-6d, Double.NaN);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1197141900);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1737377827));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f6 == 0.47997057f);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test170"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    int[] i_array3 = null;
    well19937c1.setSeed(i_array3);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl6 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    // The following exception was thrown during execution in test generation
    try {
      int i9 = randomDataImpl6.nextBinomial((-1), 0.5768999153885656d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test171"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 10L);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test172"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test173"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-127));

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test174"); }


    double d1 = org.apache.commons.math3.special.Gamma.invGamma1pm1(1.3008467899619307d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.1433259380673622d));

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test175"); }


    double d2 = org.apache.commons.math3.util.FastMath.min((-0.017301866053338645d), (-24.75341374019074d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-24.75341374019074d));

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test176"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(1.3862943611198906d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test177"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.0d, (-15.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test178"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    double d5 = randomDataGenerator2.nextF(1.0d, 1.0E-15d);
    randomDataGenerator2.reSeed(0L);
    double d9 = randomDataGenerator2.nextChiSquare(0.7477848159521367d);
    // The following exception was thrown during execution in test generation
    try {
      int i12 = randomDataGenerator2.nextPascal(100, (-1.0d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 15.999999998898758d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.8950495114756257d);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test179"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    int[] i_array3 = null;
    well19937c1.setSeed(i_array3);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl6 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    // The following exception was thrown during execution in test generation
    try {
      long long8 = randomDataImpl6.nextPoisson(0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test180"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(1197141900, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1197141900);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test181"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(2.1175823681357508E-22d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.695878450614751E-24d);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test182"); }


    org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution0 = new org.apache.commons.math3.distribution.UniformRealDistribution();
    boolean b1 = uniformRealDistribution0.isSupportConnected();
    boolean b2 = uniformRealDistribution0.isSupportConnected();
    boolean b3 = uniformRealDistribution0.isSupportConnected();
    double d5 = uniformRealDistribution0.inverseCumulativeProbability(0.15254776173783657d);
    double d6 = uniformRealDistribution0.getNumericalVariance();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.15254776173783657d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.08333333333333333d);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test183"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(1.0000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0000001f);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test184"); }


    double d4 = org.apache.commons.math3.special.Beta.regularizedBeta((-0.7359704175800968d), 1.3008467899619307d, 2.3978952727983707d, 0.1998370938906727d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test185"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow((-0.5337696659267511d), 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.5337696659267511d));

  }

  @Test
  public void test186() {}
// Defects4J: flaky method
//   @Test
//   public void test186() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test186"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     int[] i_array3 = null;
//     well19937c1.setSeed(i_array3);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl6 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     long long8 = randomDataImpl6.nextPoisson(4.7421875d);
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array11 = randomDataImpl6.nextPermutation(100, (-127));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 4L);
// 
//   }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test187"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math3.exception.OutOfRangeException(localizable0, (java.lang.Number)0.9154153635810339d, (java.lang.Number)0.15254776173783657d, (java.lang.Number)(-15.0d));
    java.lang.Number number5 = outOfRangeException4.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (-15.0d)+ "'", number5.equals((-15.0d)));

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test188"); }


    double d1 = org.apache.commons.math3.special.Gamma.gamma(1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 9.999999999999994E14d);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test189"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7253825588523148d);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test190"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(10.0f, 10.000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test191"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.1681004204004124d, (-0.03838180300499015d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0708387187882797d);

  }

  @Test
  public void test192() {}
// Defects4J: flaky method
//   @Test
//   public void test192() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test192"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     int[] i_array3 = null;
//     well19937c1.setSeed(i_array3);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl6 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     long long8 = randomDataImpl6.nextPoisson(4.7421875d);
//     int[] i_array12 = new int[] { 1, 10, 0 };
//     org.apache.commons.math3.random.Well19937c well19937c13 = new org.apache.commons.math3.random.Well19937c(i_array12);
//     org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution17 = new org.apache.commons.math3.distribution.UniformRealDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c13, (-1.0000000000000005E15d), 15.999999998898758d, 1.0E-15d);
//     double d18 = randomDataImpl6.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)uniformRealDistribution17);
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str20 = randomDataImpl6.nextSecureHexString(0);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 6L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == (-8.17517203953148E14d));
// 
//   }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test193"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(10, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test194"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.distribution.FDistribution fDistribution3 = new org.apache.commons.math3.distribution.FDistribution(0.0d, 2.3978952727983707d, 2.3978952727983707d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test195"); }


    double d0 = org.apache.commons.math3.distribution.FDistribution.DEFAULT_INVERSE_ABSOLUTE_ACCURACY;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 1.0E-9d);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test196"); }


    org.apache.commons.math3.distribution.FDistribution fDistribution3 = new org.apache.commons.math3.distribution.FDistribution(Double.POSITIVE_INFINITY, 10.0d, 9.999999999999995E-16d);
    double d4 = fDistribution3.getNumericalMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.25d);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test197"); }


    double d3 = org.apache.commons.math3.special.Beta.regularizedBeta(0.1998370938906727d, 0.0d, (-0.1433259380673622d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test198"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor((-24.75341374019074d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-25.0d));

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test199"); }


    double d4 = org.apache.commons.math3.special.Beta.logBeta((-0.5894445367978104d), (-0.8340200696717661d), 0.3742437696541317d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test200"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    double d4 = randomDataGenerator2.nextExponential(Double.NaN);
    java.lang.String str6 = randomDataGenerator2.nextHexString(1);
    double d9 = randomDataGenerator2.nextF(0.1681004204004124d, 0.3742437696541317d);
    // The following exception was thrown during execution in test generation
    try {
      int i12 = randomDataGenerator2.nextInt(1, (-1737377827));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "0"+ "'", str6.equals("0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.9705829622838696E-9d);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test201"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test202() {}
// Defects4J: flaky method
//   @Test
//   public void test202() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test202"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     int[] i_array3 = null;
//     well19937c1.setSeed(i_array3);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl6 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     long long8 = randomDataImpl6.nextPoisson(4.7421875d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = randomDataImpl6.nextChiSquare((-1.4045818398846184E14d));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 6L);
// 
//   }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test203"); }


    double d4 = org.apache.commons.math3.special.Beta.logBeta(9.999999999999995E-16d, 15.999999998898758d, 0.08333333333333333d, 32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 34.538776394910684d);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test204"); }


    double d1 = org.apache.commons.math3.special.Gamma.digamma(3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9772133050846386d);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test205"); }


    int[] i_array3 = new int[] { 1, 10, 0 };
    org.apache.commons.math3.random.Well19937c well19937c4 = new org.apache.commons.math3.random.Well19937c(i_array3);
    org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution8 = new org.apache.commons.math3.distribution.UniformRealDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c4, (-1.0000000000000005E15d), 15.999999998898758d, 1.0E-15d);
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl9 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c4);
    // The following exception was thrown during execution in test generation
    try {
      double d13 = randomDataImpl9.nextUniform((-0.5337696659267511d), (-0.7615941559557649d), true);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test206"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(100.0f, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 99.99999f);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test207"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)(-1L));
    java.lang.Number number2 = notStrictlyPositiveException1.getMin();
    boolean b3 = notStrictlyPositiveException1.getBoundIsAllowed();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = notStrictlyPositiveException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0+ "'", number2.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test208"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(10.0f, 1.0000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test209"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.0d, 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test210"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution3 = new org.apache.commons.math3.distribution.UniformRealDistribution(18.64382429064885d, 0.8379852878801965d, 5.772150090234194E-7d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test211"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(8.0E-9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3962634015954638E-10d);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test212"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.distribution.FDistribution fDistribution3 = new org.apache.commons.math3.distribution.FDistribution(18.64382429064885d, (-15.0d), 10.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test213"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(10, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test214"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    int[] i_array3 = null;
    well19937c1.setSeed(i_array3);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    // The following exception was thrown during execution in test generation
    try {
      double d8 = randomDataGenerator5.nextCauchy((-0.6472951994859133d), (-0.9387123485327005d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test215"); }


    double d1 = org.apache.commons.math3.special.Gamma.gamma(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test216"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(4.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test217"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    double d5 = randomDataGenerator2.nextF(1.0d, 1.0E-15d);
    randomDataGenerator2.reSeed();
    // The following exception was thrown during execution in test generation
    try {
      randomDataGenerator2.setSecureAlgorithm("", "0");
      org.junit.Assert.fail("Expected exception of type java.security.NoSuchProviderException");
    } catch (java.security.NoSuchProviderException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.security.NoSuchProviderException")) {
        org.junit.Assert.fail("Expected exception of type java.security.NoSuchProviderException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 15.999999998898758d);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test218"); }


    org.apache.commons.math3.distribution.FDistribution fDistribution3 = new org.apache.commons.math3.distribution.FDistribution(5.772150090234194E-7d, 0.1681004204004124d, (-0.017301866053338645d));
    // The following exception was thrown during execution in test generation
    try {
      double d6 = fDistribution3.cumulativeProbability(5.299108745631426E-4d, (-0.017453292519943295d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test219"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(8.0E-9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test220"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(0.27873123f, 10.000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.000001f);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test221"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    double d4 = randomDataGenerator2.nextExponential(Double.NaN);
    double d7 = randomDataGenerator2.nextWeibull(0.5772156649015329d, 1.0E-6d);
    double d9 = randomDataGenerator2.nextExponential(0.2808058014862225d);
    // The following exception was thrown during execution in test generation
    try {
      int i12 = randomDataGenerator2.nextSecureInt(658765031, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 7.088234265348639E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.1998370938906727d);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test222"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    double d5 = randomDataGenerator2.nextF(1.0d, 1.0E-15d);
    randomDataGenerator2.reSeed(0L);
    double d9 = randomDataGenerator2.nextExponential(5.772150090234194E-7d);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str11 = randomDataGenerator2.nextHexString((-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 15.999999998898758d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 2.808054824124507E-7d);

  }

  @Test
  public void test223() {}
// Defects4J: flaky method
//   @Test
//   public void test223() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test223"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator0 = new org.apache.commons.math3.random.RandomDataGenerator();
//     double d2 = randomDataGenerator0.nextT(15.999999998898758d);
//     randomDataGenerator0.reSeedSecure();
//     // The following exception was thrown during execution in test generation
//     try {
//       long long6 = randomDataGenerator0.nextSecureLong(9L, 9L);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
//     } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == (-0.3954924171723133d));
// 
//   }

  @Test
  public void test224() {}
// Defects4J: flaky method
//   @Test
//   public void test224() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test224"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     int[] i_array3 = null;
//     well19937c1.setSeed(i_array3);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl6 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     long long8 = randomDataImpl6.nextPoisson(4.7421875d);
//     int[] i_array12 = new int[] { 1, 10, 0 };
//     org.apache.commons.math3.random.Well19937c well19937c13 = new org.apache.commons.math3.random.Well19937c(i_array12);
//     org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution17 = new org.apache.commons.math3.distribution.UniformRealDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c13, (-1.0000000000000005E15d), 15.999999998898758d, 1.0E-15d);
//     double d18 = randomDataImpl6.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)uniformRealDistribution17);
//     java.util.Collection collection19 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.Object[] obj_array21 = randomDataImpl6.nextSample(collection19, 0);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 6L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == (-7.848853858770246E14d));
// 
//   }

  @Test
  public void test225() {}
// Defects4J: flaky method
//   @Test
//   public void test225() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test225"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     int[] i_array3 = null;
//     well19937c1.setSeed(i_array3);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl6 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     long long8 = randomDataImpl6.nextPoisson(4.7421875d);
//     int[] i_array12 = new int[] { 1, 10, 0 };
//     org.apache.commons.math3.random.Well19937c well19937c13 = new org.apache.commons.math3.random.Well19937c(i_array12);
//     org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution17 = new org.apache.commons.math3.distribution.UniformRealDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c13, (-1.0000000000000005E15d), 15.999999998898758d, 1.0E-15d);
//     double d18 = randomDataImpl6.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)uniformRealDistribution17);
//     randomDataImpl6.reSeedSecure(0L);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long23 = randomDataImpl6.nextLong(5L, 0L);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
//     } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 5L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == (-9.972099626387488E14d));
// 
//   }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test226"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan((-1.0000000000000005E15d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5884647722953239d);

  }

  @Test
  public void test227() {}
// Defects4J: flaky method
//   @Test
//   public void test227() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test227"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     int[] i_array3 = null;
//     well19937c1.setSeed(i_array3);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl6 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     long long8 = randomDataImpl6.nextPoisson(4.7421875d);
//     int[] i_array12 = new int[] { 1, 10, 0 };
//     org.apache.commons.math3.random.Well19937c well19937c13 = new org.apache.commons.math3.random.Well19937c(i_array12);
//     org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution17 = new org.apache.commons.math3.distribution.UniformRealDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c13, (-1.0000000000000005E15d), 15.999999998898758d, 1.0E-15d);
//     double d18 = randomDataImpl6.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)uniformRealDistribution17);
//     double d21 = randomDataImpl6.nextCauchy((-0.10553980170680703d), 1.3008467899619307d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d24 = randomDataImpl6.nextBeta((-24.75341374019074d), 9.999999999999994E14d);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoBracketingException");
//     } catch (org.apache.commons.math3.exception.NoBracketingException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NoBracketingException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoBracketingException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 6L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == (-4.0298195693311544E14d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d21 == (-2.05524704514144d));
// 
//   }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test228"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(0.7260769626131014d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.758196992247037d);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test229"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp((-0.017301866053338645d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.01730186605333864d));

  }

  @Test
  public void test230() {}
// Defects4J: flaky method
//   @Test
//   public void test230() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test230"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator0 = new org.apache.commons.math3.random.RandomDataGenerator();
//     double d2 = randomDataGenerator0.nextT(15.999999998898758d);
//     // The following exception was thrown during execution in test generation
//     try {
//       int i5 = randomDataGenerator0.nextBinomial(1197141900, Double.POSITIVE_INFINITY);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
//     } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == 0.8699213027148495d);
// 
//   }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test231"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.08333333333333333d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.28867513459481287d);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test232"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(9.999999999999995E-16d, 0.5768999153885656d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.015926634982530708d);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test233"); }


    long long2 = org.apache.commons.math3.util.FastMath.min((-1L), 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1L));

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test234"); }


    org.apache.commons.math3.distribution.FDistribution fDistribution2 = new org.apache.commons.math3.distribution.FDistribution(Double.NaN, Double.NaN);
    double d3 = fDistribution2.getNumericalVariance();
    double d5 = fDistribution2.probability(1.0E-15d);
    double d6 = fDistribution2.getSupportLowerBound();
    boolean b7 = fDistribution2.isSupportLowerBoundInclusive();
    // The following exception was thrown during execution in test generation
    try {
      double d10 = fDistribution2.cumulativeProbability(0.0d, (-7.170700208720989E14d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);

  }

  @Test
  public void test235() {}
// Defects4J: flaky method
//   @Test
//   public void test235() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test235"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     int[] i_array3 = null;
//     well19937c1.setSeed(i_array3);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl6 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     long long8 = randomDataImpl6.nextPoisson(4.7421875d);
//     int[] i_array12 = new int[] { 1, 10, 0 };
//     org.apache.commons.math3.random.Well19937c well19937c13 = new org.apache.commons.math3.random.Well19937c(i_array12);
//     org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution17 = new org.apache.commons.math3.distribution.UniformRealDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c13, (-1.0000000000000005E15d), 15.999999998898758d, 1.0E-15d);
//     double d18 = randomDataImpl6.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)uniformRealDistribution17);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long21 = randomDataImpl6.nextLong(4L, 1L);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
//     } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 12L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == (-1.6170405920703488E14d));
// 
//   }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test236"); }


    org.apache.commons.math3.distribution.FDistribution fDistribution2 = new org.apache.commons.math3.distribution.FDistribution(Double.NaN, Double.NaN);
    double d4 = fDistribution2.density((-1.0d));
    fDistribution2.reseedRandomGenerator((-1L));
    boolean b7 = fDistribution2.isSupportConnected();
    double d8 = fDistribution2.getNumeratorDegreesOfFreedom();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array10 = fDistribution2.sample((-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test237"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution2 = new org.apache.commons.math3.distribution.UniformRealDistribution(0.7260769626131014d, (-0.6472951994859133d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test238"); }


    double d1 = org.apache.commons.math3.special.Gamma.lanczos(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.114123752298259d);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test239"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(2.808054824124507E-7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test240() {}
// Defects4J: flaky method
//   @Test
//   public void test240() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test240"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     int[] i_array3 = null;
//     well19937c1.setSeed(i_array3);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl6 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     long long8 = randomDataImpl6.nextPoisson(4.7421875d);
//     int[] i_array12 = new int[] { 1, 10, 0 };
//     org.apache.commons.math3.random.Well19937c well19937c13 = new org.apache.commons.math3.random.Well19937c(i_array12);
//     org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution17 = new org.apache.commons.math3.distribution.UniformRealDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c13, (-1.0000000000000005E15d), 15.999999998898758d, 1.0E-15d);
//     double d18 = randomDataImpl6.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)uniformRealDistribution17);
//     double d19 = uniformRealDistribution17.getSupportLowerBound();
//     double d20 = uniformRealDistribution17.getSupportUpperBound();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 10L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == (-8.292748224047698E12d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d19 == (-1.0000000000000005E15d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d20 == 15.999999998898758d);
// 
//   }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test241"); }


    double d2 = org.apache.commons.math3.special.Gamma.regularizedGammaQ((-0.8247687384953829d), 2.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test242"); }


    double d2 = org.apache.commons.math3.util.FastMath.min((-15.0d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-15.0d));

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test243"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test244"); }


    org.apache.commons.math3.distribution.FDistribution fDistribution2 = new org.apache.commons.math3.distribution.FDistribution(Double.NaN, Double.NaN);
    double d4 = fDistribution2.density((-1.0d));
    fDistribution2.reseedRandomGenerator((-1L));
    // The following exception was thrown during execution in test generation
    try {
      double d7 = fDistribution2.sample();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoBracketingException");
    } catch (org.apache.commons.math3.exception.NoBracketingException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NoBracketingException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoBracketingException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test245"); }


    org.apache.commons.math3.distribution.FDistribution fDistribution2 = new org.apache.commons.math3.distribution.FDistribution(Double.NaN, Double.NaN);
    double d3 = fDistribution2.getNumeratorDegreesOfFreedom();
    double d6 = fDistribution2.probability((-0.6472951994859133d), 9.999999999999995E-16d);
    double d8 = fDistribution2.density(0.7477848159521367d);
    boolean b9 = fDistribution2.isSupportLowerBoundInclusive();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test246"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(0.27873123f, 1.0000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0000001f);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test247"); }


    double d3 = org.apache.commons.math3.special.Beta.regularizedBeta(0.0d, 0.6182620725707642d, (-0.03838180300499015d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test248"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos((-25.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test249"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)1197141900);

  }

  @Test
  public void test250() {}
// Defects4J: flaky method
//   @Test
//   public void test250() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test250"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     int[] i_array3 = null;
//     well19937c1.setSeed(i_array3);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl6 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     long long8 = randomDataImpl6.nextPoisson(4.7421875d);
//     int[] i_array12 = new int[] { 1, 10, 0 };
//     org.apache.commons.math3.random.Well19937c well19937c13 = new org.apache.commons.math3.random.Well19937c(i_array12);
//     org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution17 = new org.apache.commons.math3.distribution.UniformRealDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c13, (-1.0000000000000005E15d), 15.999999998898758d, 1.0E-15d);
//     double d18 = randomDataImpl6.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)uniformRealDistribution17);
//     double d21 = randomDataImpl6.nextCauchy((-0.10553980170680703d), 1.3008467899619307d);
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array24 = randomDataImpl6.nextPermutation(100, 1197141900);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
//     } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 7L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == (-1.7815799591692597E14d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d21 == 0.13095694502386213d);
// 
//   }

  @Test
  public void test251() {}
// Defects4J: flaky method
//   @Test
//   public void test251() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test251"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator0 = new org.apache.commons.math3.random.RandomDataGenerator();
//     double d2 = randomDataGenerator0.nextT(15.999999998898758d);
//     int i5 = randomDataGenerator0.nextInt(0, 100);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long8 = randomDataGenerator0.nextLong(100L, 6L);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
//     } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == (-0.5090864042999214d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 62);
// 
//   }

  @Test
  public void test252() {}
// Defects4J: flaky method
//   @Test
//   public void test252() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test252"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     int[] i_array3 = null;
//     well19937c1.setSeed(i_array3);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl6 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     long long8 = randomDataImpl6.nextPoisson(4.7421875d);
//     int i11 = randomDataImpl6.nextPascal(1197141900, 0.6450478732989443d);
//     // The following exception was thrown during execution in test generation
//     try {
//       int i14 = randomDataImpl6.nextBinomial(181, (-7.170700208720989E14d));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
//     } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 3L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i11 == 658714399);
// 
//   }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test253"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(Double.NaN, (-0.8247687384953829d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test254"); }


    double d2 = org.apache.commons.math3.util.FastMath.max((-0.6472951994859133d), 4.7421875d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.7421875d);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test255"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.15254772f, 1197141900);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test256"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.9154153635810339d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0487311181044632d);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test257"); }


    org.apache.commons.math3.distribution.FDistribution fDistribution2 = new org.apache.commons.math3.distribution.FDistribution(Double.NaN, Double.NaN);
    double d4 = fDistribution2.density((-1.0d));
    double d5 = fDistribution2.getSupportLowerBound();
    boolean b6 = fDistribution2.isSupportConnected();
    double d7 = fDistribution2.getNumeratorDegreesOfFreedom();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test258"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(1.0487311181044632d, (-0.5965239246370592d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test259"); }


    org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution0 = new org.apache.commons.math3.distribution.UniformRealDistribution();
    boolean b1 = uniformRealDistribution0.isSupportConnected();
    double[] d_array3 = uniformRealDistribution0.sample(10);
    uniformRealDistribution0.reseedRandomGenerator(3L);
    boolean b6 = uniformRealDistribution0.isSupportLowerBoundInclusive();
    double d8 = uniformRealDistribution0.probability(5.772150090234194E-7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test260"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.integration.IterativeLegendreGaussIntegrator iterativeLegendreGaussIntegrator5 = new org.apache.commons.math3.analysis.integration.IterativeLegendreGaussIntegrator(3, 17.11384949657612d, 1.525477617378385E14d, (-127), 20);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test261"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test262"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(4.0d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.0d);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test263"); }


    double d1 = org.apache.commons.math3.special.Gamma.digamma(8.0E-9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.2500000057721566E8d));

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test264"); }


    double d1 = org.apache.commons.math3.special.Gamma.digamma(1.0737418240739207E9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 20.79441541640154d);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test265"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp((-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.1920929E-7f);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test266"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(2.3978952727983707d, 0.5772156649015329d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.6567002893411786d);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test267"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test268"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(181, 20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 181);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test269"); }


    org.apache.commons.math3.distribution.FDistribution fDistribution2 = new org.apache.commons.math3.distribution.FDistribution(Double.NaN, Double.NaN);
    double d3 = fDistribution2.getNumeratorDegreesOfFreedom();
    double d5 = fDistribution2.probability((-4.8795240641945094E14d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test270"); }


    int[] i_array3 = new int[] { 1, 10, 0 };
    org.apache.commons.math3.random.Well19937c well19937c4 = new org.apache.commons.math3.random.Well19937c(i_array3);
    org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution8 = new org.apache.commons.math3.distribution.UniformRealDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c4, (-1.0000000000000005E15d), 15.999999998898758d, 1.0E-15d);
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl9 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c4);
    double d12 = randomDataImpl9.nextUniform((-1.0d), 0.0d);
    double d15 = randomDataImpl9.nextF(5.772150090234194E-7d, 0.015926634982530708d);
    // The following exception was thrown during execution in test generation
    try {
      int i18 = randomDataImpl9.nextBinomial((-1), 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == (-0.8474522382621634d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.2178359128140095E-9d);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test271"); }


    double d3 = org.apache.commons.math3.special.Beta.regularizedBeta(0.0d, 10.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test272"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(99.99999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test273"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.6881171418161356E43d);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test274"); }


    double d2 = org.apache.commons.math3.special.Gamma.regularizedGammaP(1.2178359128140095E-9d, (-1.0000000000000005E15d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test275"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math3.exception.OutOfRangeException(localizable0, (java.lang.Number)(-1.0000000000000005E15d), (java.lang.Number)0.0d, (java.lang.Number)(-0.03838180300499015d));
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathInternalError mathInternalError5 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)outOfRangeException4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test276"); }


    java.lang.Number number0 = null;
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException(number0, (java.lang.Number)Double.POSITIVE_INFINITY, (java.lang.Number)1.0E-15d);
    java.lang.Number number4 = outOfRangeException3.getHi();
    java.lang.Number number5 = outOfRangeException3.getHi();
    java.lang.String str6 = outOfRangeException3.toString();
    java.lang.Number number7 = outOfRangeException3.getLo();
    java.lang.Number number8 = null;
    java.lang.Number number9 = null;
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException11 = new org.apache.commons.math3.exception.OutOfRangeException(number8, number9, (java.lang.Number)1.0d);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext12 = outOfRangeException11.getContext();
    outOfRangeException3.addSuppressed((java.lang.Throwable)outOfRangeException11);
    org.apache.commons.math3.exception.util.Localizable localizable14 = null;
    org.apache.commons.math3.exception.util.Localizable localizable15 = null;
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    org.apache.commons.math3.exception.util.Localizable localizable18 = null;
    java.lang.Object[] obj_array21 = new java.lang.Object[] { '#' };
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException22 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable18, (java.lang.Number)0, obj_array21);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException23 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable16, (java.lang.Number)(short)100, obj_array21);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException24 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable15, obj_array21);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException25 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)outOfRangeException3, localizable14, obj_array21);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str26 = mathIllegalStateException25.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 1.0E-15d+ "'", number4.equals(1.0E-15d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 1.0E-15d+ "'", number5.equals(1.0E-15d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math3.exception.OutOfRangeException: null out of [\u221E, 0] range"+ "'", str6.equals("org.apache.commons.math3.exception.OutOfRangeException: null out of [\u221E, 0] range"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + Double.POSITIVE_INFINITY+ "'", number7.equals(Double.POSITIVE_INFINITY));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test277"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.distribution.FDistribution fDistribution2 = new org.apache.commons.math3.distribution.FDistribution((-0.5965239246370592d), (-0.6472951994859133d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test278"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(0.1998370938906727d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.6993238946045556d));

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test279"); }


    int[] i_array3 = new int[] { 1, 10, 0 };
    org.apache.commons.math3.random.Well19937c well19937c4 = new org.apache.commons.math3.random.Well19937c(i_array3);
    org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution8 = new org.apache.commons.math3.distribution.UniformRealDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c4, (-1.0000000000000005E15d), 15.999999998898758d, 1.0E-15d);
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl9 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c4);
    double d13 = randomDataImpl9.nextUniform(2.3978952727983707d, 9.999999999999994E14d, true);
    // The following exception was thrown during execution in test generation
    try {
      long long16 = randomDataImpl9.nextSecureLong(1L, 0L);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.525477617378385E14d);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test280"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(1.3962634015954638E-10d, 0.3958678568068018d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.3962634015954638E-10d);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test281"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)0.8379852878801965d);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext3 = notStrictlyPositiveException2.getContext();
    boolean b4 = notStrictlyPositiveException2.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test282() {}
// Defects4J: flaky method
//   @Test
//   public void test282() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test282"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     int[] i_array3 = null;
//     well19937c1.setSeed(i_array3);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl6 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     long long8 = randomDataImpl6.nextPoisson(4.7421875d);
//     int[] i_array12 = new int[] { 1, 10, 0 };
//     org.apache.commons.math3.random.Well19937c well19937c13 = new org.apache.commons.math3.random.Well19937c(i_array12);
//     org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution17 = new org.apache.commons.math3.distribution.UniformRealDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c13, (-1.0000000000000005E15d), 15.999999998898758d, 1.0E-15d);
//     double d18 = randomDataImpl6.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)uniformRealDistribution17);
//     double d21 = randomDataImpl6.nextCauchy((-0.10553980170680703d), 1.3008467899619307d);
//     randomDataImpl6.reSeed(0L);
//     randomDataImpl6.reSeed(0L);
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str27 = randomDataImpl6.nextHexString((-127));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 2L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == (-8.325889430914298E14d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d21 == (-1.8964226268059974d));
// 
//   }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test283"); }


    int[] i_array3 = new int[] { 1, 10, 0 };
    org.apache.commons.math3.random.Well19937c well19937c4 = new org.apache.commons.math3.random.Well19937c(i_array3);
    org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution8 = new org.apache.commons.math3.distribution.UniformRealDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c4, (-1.0000000000000005E15d), 15.999999998898758d, 1.0E-15d);
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl9 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c4);
    double d13 = randomDataImpl9.nextUniform(2.3978952727983707d, 9.999999999999994E14d, true);
    // The following exception was thrown during execution in test generation
    try {
      double d16 = randomDataImpl9.nextGamma((-0.01730186605333864d), 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.525477617378385E14d);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test284"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(8, 32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 8);

  }

  @Test
  public void test285() {}
// Defects4J: flaky method
//   @Test
//   public void test285() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test285"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     double d5 = randomDataGenerator2.nextF(1.0d, 1.0E-15d);
//     java.lang.String str7 = randomDataGenerator2.nextSecureHexString(10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 15.999999998898758d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str7 + "' != '" + "a6b5268fd2"+ "'", str7.equals("a6b5268fd2"));
// 
//   }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test286"); }


    org.apache.commons.math3.distribution.FDistribution fDistribution2 = new org.apache.commons.math3.distribution.FDistribution(1.3862943611198906d, 0.2808058014862225d);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test287"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.0708387187882797d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0708387187882797d);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test288"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { '#' };
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException6 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable2, (java.lang.Number)0, obj_array5);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException7 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)(short)100, obj_array5);
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    org.apache.commons.math3.exception.util.Localizable localizable10 = null;
    java.lang.Object[] obj_array13 = new java.lang.Object[] { '#' };
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException14 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable10, (java.lang.Number)0, obj_array13);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable8, (java.lang.Number)(short)100, obj_array13);
    maxCountExceededException7.addSuppressed((java.lang.Throwable)maxCountExceededException15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test289"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math3.exception.MathInternalError mathInternalError1 = new org.apache.commons.math3.exception.MathInternalError(throwable0);
    org.apache.commons.math3.exception.MathInternalError mathInternalError2 = new org.apache.commons.math3.exception.MathInternalError(throwable0);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test290"); }


    org.apache.commons.math3.analysis.integration.IterativeLegendreGaussIntegrator iterativeLegendreGaussIntegrator3 = new org.apache.commons.math3.analysis.integration.IterativeLegendreGaussIntegrator(20, (-0.3356943843944728d), (-0.1433259380673622d));

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test291"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh((-6.906227849713769d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test292"); }


    org.apache.commons.math3.analysis.integration.IterativeLegendreGaussIntegrator iterativeLegendreGaussIntegrator3 = new org.apache.commons.math3.analysis.integration.IterativeLegendreGaussIntegrator(100, 3.8761550813359302d, 3.8761550813359302d);
    int i4 = iterativeLegendreGaussIntegrator3.getIterations();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d9 = iterativeLegendreGaussIntegrator3.integrate(20, univariateFunction6, 2.3978952727983707d, 0.6450478732989443d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test293"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(3.1415926535897936d, 9.999999999999997E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.1415926535897936d);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test294"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution5 = new org.apache.commons.math3.distribution.UniformRealDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c1, 0.0d, 4.0d, (-0.03838180300499015d));
    org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution9 = new org.apache.commons.math3.distribution.UniformRealDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c1, (-1.0000000000000005E15d), 1.000000000000001d, 0.8379852878801965d);
    double d11 = uniformRealDistribution9.inverseCumulativeProbability(0.08333333333333333d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == (-9.16666666666667E14d));

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test295"); }


    java.lang.Number number0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException(number0, (java.lang.Number)3.695878450614751E-24d, false);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test296"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    org.apache.commons.math3.distribution.FDistribution fDistribution6 = new org.apache.commons.math3.distribution.FDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c1, 0.9154153635810339d, 34.538776394910684d, (-0.4946959340754849d));
    int i7 = well19937c1.nextInt();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.distribution.FDistribution fDistribution11 = new org.apache.commons.math3.distribution.FDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c1, 1.525477617378385E14d, (-0.4946959340754849d), (-25.0d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1755678109);

  }

  @Test
  public void test297() {}
// Defects4J: flaky method
//   @Test
//   public void test297() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test297"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator0 = new org.apache.commons.math3.random.RandomDataGenerator();
//     double d2 = randomDataGenerator0.nextT(15.999999998898758d);
//     int i5 = randomDataGenerator0.nextInt(0, 100);
//     int i8 = randomDataGenerator0.nextPascal(32, 0.15254776173783657d);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long10 = randomDataGenerator0.nextPoisson((-0.03838180300499015d));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == (-2.0787608450313146d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 174);
// 
//   }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test298"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(1.114123752298259d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test299() {}
// Defects4J: flaky method
//   @Test
//   public void test299() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test299"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator0 = new org.apache.commons.math3.random.RandomDataGenerator();
//     double d3 = randomDataGenerator0.nextBeta(1.0E-6d, 100.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 0.0d);
// 
//   }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test300"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(9.999999999999994E14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.1622776601683784E7d);

  }

  @Test
  public void test301() {}
// Defects4J: flaky method
//   @Test
//   public void test301() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test301"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator0 = new org.apache.commons.math3.random.RandomDataGenerator();
//     double d2 = randomDataGenerator0.nextT(15.999999998898758d);
//     int i5 = randomDataGenerator0.nextInt(0, 100);
//     int i8 = randomDataGenerator0.nextPascal(32, 0.15254776173783657d);
//     // The following exception was thrown during execution in test generation
//     try {
//       int i11 = randomDataGenerator0.nextBinomial((-1), 1.525477617378385E14d);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
//     } catch (org.apache.commons.math3.exception.NotPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == (-0.5598460754245932d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 138);
// 
//   }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test302"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.0d, (-1.0000000000000005E15d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.0000000000000005E15d));

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test303"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(658765031, 658776659);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 658776659);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test304"); }


    org.apache.commons.math3.distribution.FDistribution fDistribution2 = new org.apache.commons.math3.distribution.FDistribution(Double.NaN, Double.NaN);
    double d4 = fDistribution2.density((-1.0d));
    double d6 = fDistribution2.density((-4.8795240641945094E14d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test305"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    well19937c1.setSeed(1);
    int i4 = well19937c1.nextInt();
    int i5 = well19937c1.nextInt();
    float f6 = well19937c1.nextFloat();
    int[] i_array8 = new int[] { 1 };
    well19937c1.setSeed(i_array8);
    org.apache.commons.math3.random.Well19937c well19937c10 = new org.apache.commons.math3.random.Well19937c(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1197141900);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1737377827));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f6 == 0.47997057f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);

  }

  @Test
  public void test306() {}
// Defects4J: flaky method
//   @Test
//   public void test306() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test306"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     int[] i_array3 = null;
//     well19937c1.setSeed(i_array3);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl6 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     long long8 = randomDataImpl6.nextPoisson(4.7421875d);
//     int[] i_array12 = new int[] { 1, 10, 0 };
//     org.apache.commons.math3.random.Well19937c well19937c13 = new org.apache.commons.math3.random.Well19937c(i_array12);
//     org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution17 = new org.apache.commons.math3.distribution.UniformRealDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c13, (-1.0000000000000005E15d), 15.999999998898758d, 1.0E-15d);
//     double d18 = randomDataImpl6.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)uniformRealDistribution17);
//     randomDataImpl6.reSeedSecure(0L);
//     org.apache.commons.math3.distribution.IntegerDistribution integerDistribution21 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       int i22 = randomDataImpl6.nextInversionDeviate(integerDistribution21);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 6L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == (-8.377148043892598E14d));
// 
//   }

  @Test
  public void test307() {}
// Defects4J: flaky method
//   @Test
//   public void test307() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test307"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     int[] i_array3 = null;
//     well19937c1.setSeed(i_array3);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl6 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     long long8 = randomDataImpl6.nextPoisson(4.7421875d);
//     randomDataImpl6.reSeedSecure(4L);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d13 = randomDataImpl6.nextGamma(0.2808058014862225d, (-9.421419634671978E13d));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 7L);
// 
//   }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test308"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution3 = new org.apache.commons.math3.distribution.UniformRealDistribution((-0.5965239246370592d), (-0.7359704175800968d), (-24.75341374019074d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test309"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(18.64382429064885d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.651622326447434d);

  }

  @Test
  public void test310() {}
// Defects4J: flaky method
//   @Test
//   public void test310() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test310"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator0 = new org.apache.commons.math3.random.RandomDataGenerator();
//     double d2 = randomDataGenerator0.nextT(15.999999998898758d);
//     randomDataGenerator0.reSeedSecure();
//     double d5 = randomDataGenerator0.nextT(0.3742437696541317d);
//     randomDataGenerator0.reSeed();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == (-1.7909800676502186d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == (-0.21585067465887614d));
// 
//   }

  @Test
  public void test311() {}
// Defects4J: flaky method
//   @Test
//   public void test311() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test311"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     int[] i_array3 = null;
//     well19937c1.setSeed(i_array3);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl6 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     long long8 = randomDataImpl6.nextPoisson(4.7421875d);
//     int i11 = randomDataImpl6.nextPascal(1197141900, 0.6450478732989443d);
//     randomDataImpl6.reSeed();
//     long long15 = randomDataImpl6.nextLong(1L, 3L);
//     org.apache.commons.math3.distribution.FDistribution fDistribution18 = new org.apache.commons.math3.distribution.FDistribution(Double.NaN, Double.NaN);
//     double d20 = fDistribution18.density((-1.0d));
//     fDistribution18.reseedRandomGenerator((-1L));
//     boolean b23 = fDistribution18.isSupportConnected();
//     double d24 = fDistribution18.getNumeratorDegreesOfFreedom();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d25 = randomDataImpl6.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)fDistribution18);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoBracketingException");
//     } catch (org.apache.commons.math3.exception.NoBracketingException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NoBracketingException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoBracketingException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 2L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i11 == 658715145);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long15 == 2L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d20, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b23 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d24, Double.NaN, 0);
// 
//   }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test312"); }


    int[] i_array3 = new int[] { 1, 10, 0 };
    org.apache.commons.math3.random.Well19937c well19937c4 = new org.apache.commons.math3.random.Well19937c(i_array3);
    org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution8 = new org.apache.commons.math3.distribution.UniformRealDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c4, (-1.0000000000000005E15d), 15.999999998898758d, 1.0E-15d);
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl9 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c4);
    double d13 = randomDataImpl9.nextUniform(2.3978952727983707d, 9.999999999999994E14d, true);
    // The following exception was thrown during execution in test generation
    try {
      long long16 = randomDataImpl9.nextLong(7617141686494654831L, 7617141686494654831L);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.525477617378385E14d);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test313"); }


    double d1 = org.apache.commons.math3.special.Gamma.invGamma1pm1(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test314"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(20.79441541640154d, 5.299108249625127E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5.299108249625127E-4d);

  }

  @Test
  public void test315() {}
// Defects4J: flaky method
//   @Test
//   public void test315() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test315"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     int[] i_array3 = null;
//     well19937c1.setSeed(i_array3);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl6 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     long long8 = randomDataImpl6.nextPoisson(4.7421875d);
//     int[] i_array12 = new int[] { 1, 10, 0 };
//     org.apache.commons.math3.random.Well19937c well19937c13 = new org.apache.commons.math3.random.Well19937c(i_array12);
//     org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution17 = new org.apache.commons.math3.distribution.UniformRealDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c13, (-1.0000000000000005E15d), 15.999999998898758d, 1.0E-15d);
//     double d18 = randomDataImpl6.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)uniformRealDistribution17);
//     double d21 = randomDataImpl6.nextCauchy((-0.10553980170680703d), 1.3008467899619307d);
//     double d24 = randomDataImpl6.nextUniform((-1.6085456136624754d), 100.0d);
//     long long27 = randomDataImpl6.nextSecureLong(3L, 7617141686494654831L);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d30 = randomDataImpl6.nextCauchy(1.3862943611198906d, (-2.8169817538547075E14d));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 5L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == (-4.748876883306168E14d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d21 == 0.6256981204912276d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d24 == 33.0409965175998d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long27 == 3267312553130435072L);
// 
//   }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test316"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)10.0f);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test317"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt((-0.8340200696717661d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9412944553604043d));

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test318"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test319"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(3.8761550813359302d, 0.43429985658095865d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.8011195184991933d);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test320"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(0.8647455209205404d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test321"); }


    int[] i_array3 = new int[] { 1, 10, 0 };
    org.apache.commons.math3.random.Well19937c well19937c4 = new org.apache.commons.math3.random.Well19937c(i_array3);
    org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution8 = new org.apache.commons.math3.distribution.UniformRealDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c4, (-1.0000000000000005E15d), 15.999999998898758d, 1.0E-15d);
    double d9 = uniformRealDistribution8.getNumericalMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == (-4.9999999999999225E14d));

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test322"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(0.0f, (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test323"); }


    org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution0 = new org.apache.commons.math3.distribution.UniformRealDistribution();
    boolean b1 = uniformRealDistribution0.isSupportLowerBoundInclusive();
    boolean b2 = uniformRealDistribution0.isSupportLowerBoundInclusive();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test324"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    well19937c1.setSeed(1);
    int i4 = well19937c1.nextInt();
    int i5 = well19937c1.nextInt();
    double d6 = well19937c1.nextGaussian();
    org.apache.commons.math3.distribution.FDistribution fDistribution10 = new org.apache.commons.math3.distribution.FDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c1, 0.3958678568068018d, Double.NaN, (-0.017453292519943295d));
    // The following exception was thrown during execution in test generation
    try {
      double d13 = fDistribution10.probability(0.0d, (-3.5815744329501085d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1197141900);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1737377827));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-0.9387123485327005d));

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test325"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh((-0.017453292519943295d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.017455065036229584d));

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test326"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(0.0f, 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test327"); }


    double d1 = org.apache.commons.math3.special.Gamma.logGamma((-0.7615941559557649d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test328"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(0.5884647722953239d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.588464772295324d);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test329"); }


    org.apache.commons.math3.distribution.FDistribution fDistribution2 = new org.apache.commons.math3.distribution.FDistribution(Double.NaN, Double.NaN);
    double d3 = fDistribution2.getNumericalVariance();
    // The following exception was thrown during execution in test generation
    try {
      double d5 = fDistribution2.inverseCumulativeProbability((-2.8169817538547075E14d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test330"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    double d5 = randomDataGenerator2.nextF(1.0d, 1.0E-15d);
    randomDataGenerator2.reSeed(0L);
    double d9 = randomDataGenerator2.nextExponential(0.5772156649015329d);
    // The following exception was thrown during execution in test generation
    try {
      double d13 = randomDataGenerator2.nextUniform(0.2840220195929899d, 0.0d, false);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 15.999999998898758d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.2808058014862225d);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test331"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil((-8.236214886342866E14d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-8.23621488634286E14d));

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test332"); }


    java.lang.Number number0 = null;
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException(number0, (java.lang.Number)Double.POSITIVE_INFINITY, (java.lang.Number)1.0E-15d);
    java.lang.Number number4 = outOfRangeException3.getHi();
    java.lang.Number number5 = outOfRangeException3.getHi();
    java.lang.String str6 = outOfRangeException3.toString();
    java.lang.Number number7 = outOfRangeException3.getLo();
    java.lang.Number number8 = null;
    java.lang.Number number9 = null;
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException11 = new org.apache.commons.math3.exception.OutOfRangeException(number8, number9, (java.lang.Number)1.0d);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext12 = outOfRangeException11.getContext();
    outOfRangeException3.addSuppressed((java.lang.Throwable)outOfRangeException11);
    org.apache.commons.math3.exception.MathInternalError mathInternalError14 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)outOfRangeException11);
    java.lang.Number number15 = outOfRangeException11.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 1.0E-15d+ "'", number4.equals(1.0E-15d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 1.0E-15d+ "'", number5.equals(1.0E-15d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math3.exception.OutOfRangeException: null out of [\u221E, 0] range"+ "'", str6.equals("org.apache.commons.math3.exception.OutOfRangeException: null out of [\u221E, 0] range"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + Double.POSITIVE_INFINITY+ "'", number7.equals(Double.POSITIVE_INFINITY));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test333"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(1.3008467899619307d, (-9.981068942091838E13d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.3008467899619307d);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test334"); }


    org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution3 = new org.apache.commons.math3.distribution.UniformRealDistribution(1.6567002893411786d, 9.999999999999994E14d, 0.0d);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test335"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(3.695878450614751E-24d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test336() {}
// Defects4J: flaky method
//   @Test
//   public void test336() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test336"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     int[] i_array3 = null;
//     well19937c1.setSeed(i_array3);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl6 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     long long8 = randomDataImpl6.nextPoisson(4.7421875d);
//     randomDataImpl6.reSeedSecure(4L);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long12 = randomDataImpl6.nextPoisson((-0.01730186605333864d));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 3L);
// 
//   }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test337"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.distribution.FDistribution fDistribution2 = new org.apache.commons.math3.distribution.FDistribution((-0.9412944553604043d), 1.0E-6d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test338"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(2.808054824124507E-7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.8080548241244703E-7d);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test339"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.0f);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test340"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    int[] i_array3 = null;
    well19937c1.setSeed(i_array3);
    well19937c1.setSeed(2L);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution10 = new org.apache.commons.math3.distribution.UniformRealDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c1, 18.64382429064885d, (-0.6472951994859133d), 1.3008467899619307d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test341"); }


    org.apache.commons.math3.distribution.FDistribution fDistribution2 = new org.apache.commons.math3.distribution.FDistribution(Double.NaN, Double.NaN);
    double d4 = fDistribution2.density((-1.0d));
    fDistribution2.reseedRandomGenerator((-1L));
    boolean b7 = fDistribution2.isSupportConnected();
    double d8 = fDistribution2.getNumeratorDegreesOfFreedom();
    double d9 = fDistribution2.getNumericalMean();
    double d10 = fDistribution2.getNumeratorDegreesOfFreedom();
    boolean b11 = fDistribution2.isSupportLowerBoundInclusive();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test342"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    int[] i_array6 = new int[] { 1, 10, 0 };
    org.apache.commons.math3.random.Well19937c well19937c7 = new org.apache.commons.math3.random.Well19937c(i_array6);
    well19937c1.setSeed(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test343"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(7.6293945E-6f, (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-7.6293945E-6f));

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test344"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    double d5 = randomDataGenerator2.nextF(1.0d, 1.0E-15d);
    randomDataGenerator2.reSeed(0L);
    double d11 = randomDataGenerator2.nextUniform((-9.421419634671978E13d), (-0.9387123485327005d), false);
    // The following exception was thrown during execution in test generation
    try {
      long long14 = randomDataGenerator2.nextLong(6L, 0L);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 15.999999998898758d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == (-2.4190279967262453E13d));

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test345"); }


    org.apache.commons.math3.analysis.integration.IterativeLegendreGaussIntegrator iterativeLegendreGaussIntegrator3 = new org.apache.commons.math3.analysis.integration.IterativeLegendreGaussIntegrator(100, 3.8761550813359302d, 3.8761550813359302d);
    int i4 = iterativeLegendreGaussIntegrator3.getEvaluations();
    double d5 = iterativeLegendreGaussIntegrator3.getAbsoluteAccuracy();
    int i6 = iterativeLegendreGaussIntegrator3.getMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 3.8761550813359302d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 2147483647);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test346"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    double d4 = randomDataGenerator2.nextExponential(Double.NaN);
    java.lang.String str6 = randomDataGenerator2.nextHexString(1);
    double d9 = randomDataGenerator2.nextCauchy((-0.8340200696717661d), 1.0E-6d);
    double d11 = randomDataGenerator2.nextT(0.43429985658095865d);
    // The following exception was thrown during execution in test generation
    try {
      double d14 = randomDataGenerator2.nextF((-0.8474522382621634d), 1.114123752298259d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "0"+ "'", str6.equals("0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == (-0.8340230002032871d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == (-3.5815744329501085d));

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test347"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh((-0.9387123485327005d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.7271004577097246d));

  }

  @Test
  public void test348() {}
// Defects4J: flaky method
//   @Test
//   public void test348() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test348"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     int[] i_array3 = null;
//     well19937c1.setSeed(i_array3);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl6 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     long long8 = randomDataImpl6.nextPoisson(4.7421875d);
//     int[] i_array12 = new int[] { 1, 10, 0 };
//     org.apache.commons.math3.random.Well19937c well19937c13 = new org.apache.commons.math3.random.Well19937c(i_array12);
//     org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution17 = new org.apache.commons.math3.distribution.UniformRealDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c13, (-1.0000000000000005E15d), 15.999999998898758d, 1.0E-15d);
//     double d18 = randomDataImpl6.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)uniformRealDistribution17);
//     double d21 = randomDataImpl6.nextCauchy((-0.10553980170680703d), 1.3008467899619307d);
//     double d24 = randomDataImpl6.nextUniform((-1.6085456136624754d), 100.0d);
//     double d26 = randomDataImpl6.nextExponential(0.40877566087838346d);
//     // The following exception was thrown during execution in test generation
//     try {
//       int i29 = randomDataImpl6.nextBinomial(181, (-7.170700208720989E14d));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
//     } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 3L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == (-4.498872325034738E14d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d21 == (-0.17499250417370016d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d24 == 16.37158310064585d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d26 == 1.7507100974122873d);
// 
//   }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test349"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    double d4 = randomDataGenerator2.nextExponential(Double.NaN);
    double d7 = randomDataGenerator2.nextWeibull(0.5772156649015329d, 1.0E-6d);
    double d9 = randomDataGenerator2.nextExponential(0.2808058014862225d);
    // The following exception was thrown during execution in test generation
    try {
      long long11 = randomDataGenerator2.nextPoisson((-0.03838180300499015d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 7.088234265348639E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.1998370938906727d);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test350"); }


    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)(-0.3356943843944728d), number1, (java.lang.Number)1.0E-6d);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test351"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2L);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test352"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(31187329538226332L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test353"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(100L);
    double d2 = well19937c1.nextDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.1904834217843172d);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test354"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(15.999999998898758d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.7725887221709535d);

  }

  @Test
  public void test355() {}
// Defects4J: flaky method
//   @Test
//   public void test355() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test355"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator0 = new org.apache.commons.math3.random.RandomDataGenerator();
//     double d2 = randomDataGenerator0.nextT(15.999999998898758d);
//     randomDataGenerator0.reSeedSecure();
//     double d5 = randomDataGenerator0.nextT(0.3742437696541317d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d8 = randomDataGenerator0.nextWeibull((-0.6993238946045556d), (-0.4320285708747327d));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == (-1.9372110625094676d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 0.4066267120848152d);
// 
//   }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test356"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(9.999999999999997E-16d, (-2.0532720647304653E14d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 9.999999999999997E-16d);

  }

  @Test
  public void test357() {}
// Defects4J: flaky method
//   @Test
//   public void test357() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test357"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     int[] i_array3 = null;
//     well19937c1.setSeed(i_array3);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl6 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     long long8 = randomDataImpl6.nextPoisson(4.7421875d);
//     int[] i_array12 = new int[] { 1, 10, 0 };
//     org.apache.commons.math3.random.Well19937c well19937c13 = new org.apache.commons.math3.random.Well19937c(i_array12);
//     org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution17 = new org.apache.commons.math3.distribution.UniformRealDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c13, (-1.0000000000000005E15d), 15.999999998898758d, 1.0E-15d);
//     double d18 = randomDataImpl6.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)uniformRealDistribution17);
//     double d21 = randomDataImpl6.nextCauchy((-0.10553980170680703d), 1.3008467899619307d);
//     double d24 = randomDataImpl6.nextUniform((-1.6085456136624754d), 100.0d);
//     java.lang.String str26 = randomDataImpl6.nextHexString(10);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d30 = randomDataImpl6.nextUniform(0.2675353655380861d, (-0.8340200696717661d), true);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
//     } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 7L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == (-6.791480916287435E14d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d21 == (-4.739267529810385d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d24 == 51.83011002564115d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str26 + "' != '" + "da00679bdf"+ "'", str26.equals("da00679bdf"));
// 
//   }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test358"); }


    org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution0 = new org.apache.commons.math3.distribution.UniformRealDistribution();
    boolean b1 = uniformRealDistribution0.isSupportLowerBoundInclusive();
    double d2 = uniformRealDistribution0.getSupportUpperBound();
    boolean b3 = uniformRealDistribution0.isSupportUpperBoundInclusive();
    double d5 = uniformRealDistribution0.cumulativeProbability((-0.09803706919045821d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test359"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    int[] i_array3 = null;
    well19937c1.setSeed(i_array3);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl6 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    // The following exception was thrown during execution in test generation
    try {
      double d8 = randomDataImpl6.nextT((-0.03838180300499015d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test360"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test361() {}
// Defects4J: flaky method
//   @Test
//   public void test361() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test361"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     int[] i_array3 = null;
//     well19937c1.setSeed(i_array3);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl6 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     long long8 = randomDataImpl6.nextPoisson(4.7421875d);
//     int i11 = randomDataImpl6.nextPascal(1197141900, 0.6450478732989443d);
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array14 = randomDataImpl6.nextPermutation((-127), 8);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
//     } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 6L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i11 == 658726911);
// 
//   }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test362"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(1.2178359128140095E-9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2178359128140095E-9d);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test363"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(7.088234265348639E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.0612590760449066E-4d);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test364"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)(-1L));
    java.lang.Number number2 = notStrictlyPositiveException1.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + (-1L)+ "'", number2.equals((-1L)));

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test365"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp((-1.4E-45f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4E-45f);

  }

  @Test
  public void test366() {}
// Defects4J: flaky method
//   @Test
//   public void test366() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test366"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     int[] i_array3 = null;
//     well19937c1.setSeed(i_array3);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl6 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     long long8 = randomDataImpl6.nextPoisson(4.7421875d);
//     int[] i_array12 = new int[] { 1, 10, 0 };
//     org.apache.commons.math3.random.Well19937c well19937c13 = new org.apache.commons.math3.random.Well19937c(i_array12);
//     org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution17 = new org.apache.commons.math3.distribution.UniformRealDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c13, (-1.0000000000000005E15d), 15.999999998898758d, 1.0E-15d);
//     double d18 = randomDataImpl6.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)uniformRealDistribution17);
//     double d21 = randomDataImpl6.nextCauchy((-0.10553980170680703d), 1.3008467899619307d);
//     randomDataImpl6.reSeed(0L);
//     randomDataImpl6.reSeed(0L);
//     // The following exception was thrown during execution in test generation
//     try {
//       int i28 = randomDataImpl6.nextInt(82, 10);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
//     } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 7L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == (-8.837650811057509E14d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d21 == (-1.0143236541442062d));
// 
//   }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test367"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math3.exception.OutOfRangeException(localizable0, (java.lang.Number)7.6293945E-6f, (java.lang.Number)(-1.7909800676502186d), (java.lang.Number)(-1.0d));

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test368"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    org.apache.commons.math3.distribution.FDistribution fDistribution6 = new org.apache.commons.math3.distribution.FDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c1, 0.9154153635810339d, 34.538776394910684d, (-0.4946959340754849d));
    double d8 = fDistribution6.density(0.8379852878801965d);
    fDistribution6.reseedRandomGenerator(31187329538226332L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.2675353655380861d);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test369"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(0.27873123f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.27873123f);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test370"); }


    org.apache.commons.math3.analysis.integration.IterativeLegendreGaussIntegrator iterativeLegendreGaussIntegrator3 = new org.apache.commons.math3.analysis.integration.IterativeLegendreGaussIntegrator((-127), (-1.7488557369459945d), (-0.39016316398527734d));

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test371"); }


    int[] i_array3 = new int[] { 1, 10, 0 };
    org.apache.commons.math3.random.Well19937c well19937c4 = new org.apache.commons.math3.random.Well19937c(i_array3);
    org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution8 = new org.apache.commons.math3.distribution.UniformRealDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c4, (-1.0000000000000005E15d), 15.999999998898758d, 1.0E-15d);
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl9 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c4);
    // The following exception was thrown during execution in test generation
    try {
      double d12 = randomDataImpl9.nextUniform(0.0d, Double.POSITIVE_INFINITY);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test372"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians((-0.6993238946045556d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.012205504498719303d));

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test373"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(7.088234265348639E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.088234265229927E-6d);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test374"); }


    double d2 = org.apache.commons.math3.util.FastMath.max((-0.012205504498719303d), 86.337940372255d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 86.337940372255d);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test375"); }


    org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution0 = new org.apache.commons.math3.distribution.UniformRealDistribution();
    boolean b1 = uniformRealDistribution0.isSupportConnected();
    double[] d_array3 = uniformRealDistribution0.sample(10);
    uniformRealDistribution0.reseedRandomGenerator(3L);
    double d7 = uniformRealDistribution0.density(71.4954766285273d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test376"); }


    org.apache.commons.math3.distribution.FDistribution fDistribution3 = new org.apache.commons.math3.distribution.FDistribution(100.0d, 8.333333333333607E28d, 0.1681004204004124d);

  }

  @Test
  public void test377() {}
// Defects4J: flaky method
//   @Test
//   public void test377() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test377"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     int[] i_array3 = null;
//     well19937c1.setSeed(i_array3);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl6 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     long long8 = randomDataImpl6.nextPoisson(4.7421875d);
//     int[] i_array12 = new int[] { 1, 10, 0 };
//     org.apache.commons.math3.random.Well19937c well19937c13 = new org.apache.commons.math3.random.Well19937c(i_array12);
//     org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution17 = new org.apache.commons.math3.distribution.UniformRealDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c13, (-1.0000000000000005E15d), 15.999999998898758d, 1.0E-15d);
//     double d18 = randomDataImpl6.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)uniformRealDistribution17);
//     double d21 = randomDataImpl6.nextCauchy((-0.10553980170680703d), 1.3008467899619307d);
//     double d24 = randomDataImpl6.nextUniform((-1.6085456136624754d), 100.0d);
//     java.lang.String str26 = randomDataImpl6.nextHexString(10);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d29 = randomDataImpl6.nextGamma((-2.8169817538547075E14d), (-0.6993238946045556d));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 7L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == (-5.809108603072266E14d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d21 == 9.263534310480171d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d24 == 81.29193687412972d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str26 + "' != '" + "0eb96910b0"+ "'", str26.equals("0eb96910b0"));
// 
//   }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test378"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)0.0f, (java.lang.Number)1.3962634015954638E-10d, true);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test379"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.distribution.FDistribution fDistribution2 = new org.apache.commons.math3.distribution.FDistribution(0.0d, 0.08333333333333333d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test380"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    double d4 = randomDataGenerator2.nextExponential(Double.NaN);
    randomDataGenerator2.reSeedSecure();
    java.util.Collection collection6 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object[] obj_array8 = randomDataGenerator2.nextSample(collection6, 1197141900);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test381"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    double d5 = randomDataGenerator2.nextF(1.0d, 1.0E-15d);
    randomDataGenerator2.reSeed(0L);
    double d9 = randomDataGenerator2.nextChiSquare(0.7477848159521367d);
    long long11 = randomDataGenerator2.nextPoisson(0.5772156649015329d);
    // The following exception was thrown during execution in test generation
    try {
      double d14 = randomDataGenerator2.nextGaussian(0.7260769626131014d, (-8.236214886342866E14d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 15.999999998898758d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.8950495114756257d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long11 == 1L);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test382"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { '#' };
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException8 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable4, (java.lang.Number)0, obj_array7);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException9 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable2, (java.lang.Number)(short)100, obj_array7);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable1, obj_array7);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, obj_array7);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext12 = mathIllegalArgumentException11.getContext();
    java.lang.Throwable[] throwable_array13 = mathIllegalArgumentException11.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test383"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(1.2178359128140095E-9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test384"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)658765031);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test385"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(36.83576231750469d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.6332547484172664d);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test386"); }


    org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution0 = new org.apache.commons.math3.distribution.UniformRealDistribution();
    boolean b1 = uniformRealDistribution0.isSupportLowerBoundInclusive();
    double d2 = uniformRealDistribution0.getSupportUpperBound();
    double d3 = uniformRealDistribution0.getSupportUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test387"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    double d4 = randomDataGenerator2.nextExponential(Double.NaN);
    double d7 = randomDataGenerator2.nextWeibull(0.5772156649015329d, 1.0E-6d);
    double d9 = randomDataGenerator2.nextExponential(0.2808058014862225d);
    int i12 = randomDataGenerator2.nextInt(0, 658776659);
    // The following exception was thrown during execution in test generation
    try {
      double d15 = randomDataGenerator2.nextGamma(3.695878450614751E-24d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 7.088234265348639E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.1998370938906727d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 203882370);

  }

  @Test
  public void test388() {}
// Defects4J: flaky method
//   @Test
//   public void test388() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test388"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     double d5 = randomDataGenerator2.nextF(1.0d, 1.0E-15d);
//     randomDataGenerator2.reSeed();
//     double d8 = randomDataGenerator2.nextT(100.0d);
//     randomDataGenerator2.reSeed(9L);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d12 = randomDataGenerator2.nextT((-24.75341374019074d));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 15.999999998898758d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 1.5610173504340965d);
// 
//   }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test389"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    well19937c1.setSeed(1);
    float f4 = well19937c1.nextFloat();
    double d5 = well19937c1.nextGaussian();
    float f6 = well19937c1.nextFloat();
    long long7 = well19937c1.nextLong();
    int i8 = well19937c1.nextInt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f4 == 0.27873123f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-0.4320285708747327d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f6 == 0.5548245f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 7617141686494654831L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1741260260);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test390"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    well19937c1.setSeed(1);
    float f4 = well19937c1.nextFloat();
    double d5 = well19937c1.nextGaussian();
    org.apache.commons.math3.distribution.FDistribution fDistribution9 = new org.apache.commons.math3.distribution.FDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c1, 0.3742437696541317d, 0.1681004204004124d, 1.0E-15d);
    // The following exception was thrown during execution in test generation
    try {
      double d12 = fDistribution9.cumulativeProbability((-0.7615941559557649d), (-0.8340200696717661d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f4 == 0.27873123f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-0.4320285708747327d));

  }

  @Test
  public void test391() {}
// Defects4J: flaky method
//   @Test
//   public void test391() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test391"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator0 = new org.apache.commons.math3.random.RandomDataGenerator();
//     double d2 = randomDataGenerator0.nextT(15.999999998898758d);
//     randomDataGenerator0.reSeedSecure();
//     double d5 = randomDataGenerator0.nextT(0.3742437696541317d);
//     java.util.Collection collection6 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.Object[] obj_array8 = randomDataGenerator0.nextSample(collection6, 658765031);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == (-1.5207515519975612d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 2.886503942170509d);
// 
//   }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test392"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-1), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test393"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(1.3008467899619307d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.613972667637222d);

  }

  @Test
  public void test394() {}
// Defects4J: flaky method
//   @Test
//   public void test394() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test394"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     int[] i_array3 = null;
//     well19937c1.setSeed(i_array3);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl6 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     long long8 = randomDataImpl6.nextPoisson(4.7421875d);
//     int[] i_array12 = new int[] { 1, 10, 0 };
//     org.apache.commons.math3.random.Well19937c well19937c13 = new org.apache.commons.math3.random.Well19937c(i_array12);
//     org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution17 = new org.apache.commons.math3.distribution.UniformRealDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c13, (-1.0000000000000005E15d), 15.999999998898758d, 1.0E-15d);
//     double d18 = randomDataImpl6.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)uniformRealDistribution17);
//     double d21 = randomDataImpl6.nextCauchy((-0.10553980170680703d), 1.3008467899619307d);
//     double d24 = randomDataImpl6.nextUniform((-1.6085456136624754d), 100.0d);
//     // The following exception was thrown during execution in test generation
//     try {
//       int i27 = randomDataImpl6.nextBinomial(1, (-0.10553980170680703d));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
//     } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 4L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == (-2.7102709385948588E14d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d21 == (-1.4042131807735183d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d24 == 5.268605671154313d);
// 
//   }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test395"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(1.5378627388930775d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.02684076823742206d);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test396"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.3742437696541317d, 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.1647070537794628d));

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test397"); }


    org.apache.commons.math3.distribution.FDistribution fDistribution2 = new org.apache.commons.math3.distribution.FDistribution(Double.NaN, Double.NaN);
    double d4 = fDistribution2.density((-1.0d));
    fDistribution2.reseedRandomGenerator((-1L));
    boolean b7 = fDistribution2.isSupportConnected();
    double d8 = fDistribution2.getNumeratorDegreesOfFreedom();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array10 = fDistribution2.sample((-1737377827));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test398"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.integration.IterativeLegendreGaussIntegrator iterativeLegendreGaussIntegrator3 = new org.apache.commons.math3.analysis.integration.IterativeLegendreGaussIntegrator((-1737377827), 20, (-127));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test399"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(10.000001f, 10.000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.000001f);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test400"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(1.7253825588523148d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.6146685600490525d);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test401"); }


    java.lang.Number number0 = null;
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException(number0, (java.lang.Number)Double.POSITIVE_INFINITY, (java.lang.Number)1.0E-15d);
    java.lang.Number number4 = outOfRangeException3.getHi();
    java.lang.Number number5 = outOfRangeException3.getHi();
    java.lang.String str6 = outOfRangeException3.toString();
    java.lang.Number number7 = outOfRangeException3.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 1.0E-15d+ "'", number4.equals(1.0E-15d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 1.0E-15d+ "'", number5.equals(1.0E-15d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math3.exception.OutOfRangeException: null out of [\u221E, 0] range"+ "'", str6.equals("org.apache.commons.math3.exception.OutOfRangeException: null out of [\u221E, 0] range"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 1.0E-15d+ "'", number7.equals(1.0E-15d));

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test402"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.9E-324d);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test403"); }


    org.apache.commons.math3.distribution.FDistribution fDistribution2 = new org.apache.commons.math3.distribution.FDistribution(Double.NaN, Double.NaN);
    double d4 = fDistribution2.density((-1.0d));
    double d6 = fDistribution2.density((-2.356194490192345d));
    double d7 = fDistribution2.getSupportLowerBound();
    double d9 = fDistribution2.probability(0.0d);
    boolean b10 = fDistribution2.isSupportUpperBoundInclusive();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test404"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)(-1.0f));
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str3 = notStrictlyPositiveException2.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test405"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(0.6182620725707642d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6665295926926672d);

  }

  @Test
  public void test406() {}
// Defects4J: flaky method
//   @Test
//   public void test406() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test406"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     int[] i_array3 = null;
//     well19937c1.setSeed(i_array3);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     long long8 = randomDataGenerator5.nextSecureLong(0L, 3L);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long11 = randomDataGenerator5.nextSecureLong(100L, 0L);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
//     } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 2L);
// 
//   }

  @Test
  public void test407() {}
// Defects4J: flaky method
//   @Test
//   public void test407() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test407"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     int[] i_array3 = null;
//     well19937c1.setSeed(i_array3);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl6 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     long long8 = randomDataImpl6.nextPoisson(4.7421875d);
//     int[] i_array12 = new int[] { 1, 10, 0 };
//     org.apache.commons.math3.random.Well19937c well19937c13 = new org.apache.commons.math3.random.Well19937c(i_array12);
//     org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution17 = new org.apache.commons.math3.distribution.UniformRealDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c13, (-1.0000000000000005E15d), 15.999999998898758d, 1.0E-15d);
//     double d18 = randomDataImpl6.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)uniformRealDistribution17);
//     double d21 = randomDataImpl6.nextCauchy((-0.10553980170680703d), 1.3008467899619307d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d24 = randomDataImpl6.nextWeibull(0.1681004204004124d, (-0.01730186605333864d));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 5L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == (-2.2417624661731506E14d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d21 == (-1.1057617155219412d));
// 
//   }

  @Test
  public void test408() {}
// Defects4J: flaky method
//   @Test
//   public void test408() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test408"); }
// 
// 
//     org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution0 = new org.apache.commons.math3.distribution.UniformRealDistribution();
//     boolean b1 = uniformRealDistribution0.isSupportConnected();
//     boolean b2 = uniformRealDistribution0.isSupportConnected();
//     double d3 = uniformRealDistribution0.sample();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d5 = uniformRealDistribution0.inverseCumulativeProbability((-8.597319627915173E13d));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
//     } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b1 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b2 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 0.7447550721201843d);
// 
//   }

  @Test
  public void test409() {}
// Defects4J: flaky method
//   @Test
//   public void test409() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test409"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     int[] i_array3 = null;
//     well19937c1.setSeed(i_array3);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl6 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     long long8 = randomDataImpl6.nextPoisson(4.7421875d);
//     int i11 = randomDataImpl6.nextInt(100, 181);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d13 = randomDataImpl6.nextExponential((-0.5894445367978104d));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 6L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i11 == 168);
// 
//   }

  @Test
  public void test410() {}
// Defects4J: flaky method
//   @Test
//   public void test410() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test410"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     int[] i_array3 = null;
//     well19937c1.setSeed(i_array3);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl6 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     long long8 = randomDataImpl6.nextPoisson(4.7421875d);
//     int[] i_array12 = new int[] { 1, 10, 0 };
//     org.apache.commons.math3.random.Well19937c well19937c13 = new org.apache.commons.math3.random.Well19937c(i_array12);
//     org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution17 = new org.apache.commons.math3.distribution.UniformRealDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c13, (-1.0000000000000005E15d), 15.999999998898758d, 1.0E-15d);
//     double d18 = randomDataImpl6.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)uniformRealDistribution17);
//     double d21 = randomDataImpl6.nextCauchy((-0.10553980170680703d), 1.3008467899619307d);
//     double d24 = randomDataImpl6.nextUniform((-1.6085456136624754d), 100.0d);
//     java.lang.String str26 = randomDataImpl6.nextHexString(10);
//     // The following exception was thrown during execution in test generation
//     try {
//       int i29 = randomDataImpl6.nextInt(658776659, 1);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
//     } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 8L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == (-9.597225718273084E13d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d21 == (-5.853668982921326d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d24 == 22.017558071638526d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str26 + "' != '" + "9756213f1c"+ "'", str26.equals("9756213f1c"));
// 
//   }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test411"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.integration.IterativeLegendreGaussIntegrator iterativeLegendreGaussIntegrator5 = new org.apache.commons.math3.analysis.integration.IterativeLegendreGaussIntegrator(1755678109, 36.83576231750469d, 1.3008467899619307d, 658745725, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test412"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.0d, (-2.356194490192345d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test413"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(4L, 4L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 4L);

  }

  @Test
  public void test414() {}
// Defects4J: flaky method
//   @Test
//   public void test414() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test414"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     int[] i_array3 = null;
//     well19937c1.setSeed(i_array3);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl6 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     long long8 = randomDataImpl6.nextPoisson(4.7421875d);
//     int[] i_array12 = new int[] { 1, 10, 0 };
//     org.apache.commons.math3.random.Well19937c well19937c13 = new org.apache.commons.math3.random.Well19937c(i_array12);
//     org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution17 = new org.apache.commons.math3.distribution.UniformRealDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c13, (-1.0000000000000005E15d), 15.999999998898758d, 1.0E-15d);
//     double d18 = randomDataImpl6.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)uniformRealDistribution17);
//     double d21 = randomDataImpl6.nextCauchy((-0.10553980170680703d), 1.3008467899619307d);
//     double d24 = randomDataImpl6.nextUniform((-1.6085456136624754d), 100.0d);
//     double d27 = randomDataImpl6.nextUniform(0.0d, 1.1344255337046305d);
//     // The following exception was thrown during execution in test generation
//     try {
//       int i30 = randomDataImpl6.nextPascal(1755678109, (-4.360352784166895E14d));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
//     } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 6L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == (-1.0990697016587239E14d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d21 == 8.618423675229732d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d24 == 95.76250191148941d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d27 == 0.9536019900653703d);
// 
//   }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test415"); }


    org.apache.commons.math3.analysis.integration.IterativeLegendreGaussIntegrator iterativeLegendreGaussIntegrator3 = new org.apache.commons.math3.analysis.integration.IterativeLegendreGaussIntegrator(100, 3.8761550813359302d, 3.8761550813359302d);
    int i4 = iterativeLegendreGaussIntegrator3.getIterations();
    int i5 = iterativeLegendreGaussIntegrator3.getIterations();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d10 = iterativeLegendreGaussIntegrator3.integrate(10, univariateFunction7, 0.9154153635810339d, 4.6146685600490525d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test416"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(0.0d, 17.11384949657612d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test417"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.5772156649015329d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6511961857760066d);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test418"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c((-1));
    well19937c1.setSeed((-1737377827));

  }

  @Test
  public void test419() {}
// Defects4J: flaky method
//   @Test
//   public void test419() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test419"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     int[] i_array3 = null;
//     well19937c1.setSeed(i_array3);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl6 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     long long8 = randomDataImpl6.nextPoisson(4.7421875d);
//     int[] i_array12 = new int[] { 1, 10, 0 };
//     org.apache.commons.math3.random.Well19937c well19937c13 = new org.apache.commons.math3.random.Well19937c(i_array12);
//     org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution17 = new org.apache.commons.math3.distribution.UniformRealDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c13, (-1.0000000000000005E15d), 15.999999998898758d, 1.0E-15d);
//     double d18 = randomDataImpl6.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)uniformRealDistribution17);
//     double d21 = randomDataImpl6.nextCauchy((-0.10553980170680703d), 1.3008467899619307d);
//     double d24 = randomDataImpl6.nextUniform((-1.6085456136624754d), 100.0d);
//     java.lang.String str26 = randomDataImpl6.nextHexString(10);
//     // The following exception was thrown during execution in test generation
//     try {
//       randomDataImpl6.setSecureAlgorithm("7c95c53e6ebf6e7867c80117938712b6d1fc1bdb7c811cb70e1981072104afe3e4772358229cc7e89a91a0aff6", "7c95c53e6ebf6e7867c80117938712b6d1fc1bdb7c811cb70e1981072104afe3e4772358229cc7e89a91a0aff6");
//       org.junit.Assert.fail("Expected exception of type java.security.NoSuchProviderException");
//     } catch (java.security.NoSuchProviderException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.security.NoSuchProviderException")) {
//         org.junit.Assert.fail("Expected exception of type java.security.NoSuchProviderException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 9L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == (-5.026528728884115E14d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d21 == (-12.88879007908989d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d24 == 66.65543222729067d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str26 + "' != '" + "6700dadd33"+ "'", str26.equals("6700dadd33"));
// 
//   }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test420"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { '#' };
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException8 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable4, (java.lang.Number)0, obj_array7);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException9 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable2, (java.lang.Number)(short)100, obj_array7);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException10 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)9.999999999999997E-16d, obj_array7);
    java.lang.Number number11 = maxCountExceededException10.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 9.999999999999997E-16d+ "'", number11.equals(9.999999999999997E-16d));

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test421"); }


    org.apache.commons.math3.distribution.FDistribution fDistribution2 = new org.apache.commons.math3.distribution.FDistribution(Double.NaN, Double.NaN);
    double d3 = fDistribution2.getNumericalVariance();
    double d4 = fDistribution2.getSupportUpperBound();
    double d5 = fDistribution2.getNumeratorDegreesOfFreedom();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test422() {}
// Defects4J: flaky method
//   @Test
//   public void test422() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test422"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     int[] i_array3 = null;
//     well19937c1.setSeed(i_array3);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl6 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     long long8 = randomDataImpl6.nextPoisson(4.7421875d);
//     randomDataImpl6.reSeedSecure(4L);
//     // The following exception was thrown during execution in test generation
//     try {
//       randomDataImpl6.setSecureAlgorithm("0", "a6b5268fd2");
//       org.junit.Assert.fail("Expected exception of type java.security.NoSuchProviderException");
//     } catch (java.security.NoSuchProviderException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.security.NoSuchProviderException")) {
//         org.junit.Assert.fail("Expected exception of type java.security.NoSuchProviderException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 2L);
// 
//   }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test423"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    org.apache.commons.math3.distribution.FDistribution fDistribution6 = new org.apache.commons.math3.distribution.FDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c1, 0.9154153635810339d, 34.538776394910684d, (-0.4946959340754849d));
    int i7 = well19937c1.nextInt();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution11 = new org.apache.commons.math3.distribution.UniformRealDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c1, 1.6567002893411786d, (-1.0d), 86.337940372255d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1755678109);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test424"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(2.8080548241244703E-7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.8080544298659493E-7d);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test425"); }


    org.apache.commons.math3.distribution.FDistribution fDistribution2 = new org.apache.commons.math3.distribution.FDistribution(Double.NaN, Double.NaN);
    double d4 = fDistribution2.density((-1.0d));
    double d6 = fDistribution2.inverseCumulativeProbability(0.0d);
    // The following exception was thrown during execution in test generation
    try {
      double d9 = fDistribution2.probability((-0.1433259380673622d), (-2.4190279967262453E13d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test426"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, number1);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test427"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)(-1L));
    boolean b2 = notStrictlyPositiveException1.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test428"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(1.1220563300194994d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.019583577351684357d);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test429"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test430"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { '#' };
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException6 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable2, (java.lang.Number)0, obj_array5);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException7 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)(short)100, obj_array5);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext8 = maxCountExceededException7.getContext();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathInternalError mathInternalError9 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)maxCountExceededException7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext8);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test431"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.3958678568068018d, 1755678109);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test432"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(1.0286931782742041d, 110599107);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test433"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.02684076823742206d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-6));

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test434"); }


    double d4 = org.apache.commons.math3.special.Gamma.regularizedGammaQ(0.758196992247037d, (-0.8340200696717661d), 0.0d, 110599107);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test435"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin((-24.75341374019074d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.37029584796021797d);

  }

  @Test
  public void test436() {}
// Defects4J: flaky method
//   @Test
//   public void test436() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test436"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     int[] i_array3 = null;
//     well19937c1.setSeed(i_array3);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl6 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     long long8 = randomDataImpl6.nextPoisson(4.7421875d);
//     int[] i_array12 = new int[] { 1, 10, 0 };
//     org.apache.commons.math3.random.Well19937c well19937c13 = new org.apache.commons.math3.random.Well19937c(i_array12);
//     org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution17 = new org.apache.commons.math3.distribution.UniformRealDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c13, (-1.0000000000000005E15d), 15.999999998898758d, 1.0E-15d);
//     double d18 = randomDataImpl6.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)uniformRealDistribution17);
//     double d21 = randomDataImpl6.nextCauchy((-0.10553980170680703d), 1.3008467899619307d);
//     double d24 = randomDataImpl6.nextUniform((-1.6085456136624754d), 100.0d);
//     long long27 = randomDataImpl6.nextSecureLong(3L, 7617141686494654831L);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d30 = randomDataImpl6.nextBeta(0.0d, 0.01d);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoBracketingException");
//     } catch (org.apache.commons.math3.exception.NoBracketingException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NoBracketingException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoBracketingException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 4L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == (-2.5602649288408162E14d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d21 == (-11.316325821728652d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d24 == 31.483184104536125d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long27 == 5846557198106676224L);
// 
//   }

  @Test
  public void test437() {}
// Defects4J: flaky method
//   @Test
//   public void test437() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test437"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     int[] i_array3 = null;
//     well19937c1.setSeed(i_array3);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl6 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     long long8 = randomDataImpl6.nextPoisson(4.7421875d);
//     int[] i_array12 = new int[] { 1, 10, 0 };
//     org.apache.commons.math3.random.Well19937c well19937c13 = new org.apache.commons.math3.random.Well19937c(i_array12);
//     org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution17 = new org.apache.commons.math3.distribution.UniformRealDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c13, (-1.0000000000000005E15d), 15.999999998898758d, 1.0E-15d);
//     double d18 = randomDataImpl6.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)uniformRealDistribution17);
//     randomDataImpl6.reSeedSecure(0L);
//     // The following exception was thrown during execution in test generation
//     try {
//       int i23 = randomDataImpl6.nextZipf(1755678109, (-4.9999999999999225E14d));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 4L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == (-2.1078966309617022E14d));
// 
//   }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test438"); }


    org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution0 = new org.apache.commons.math3.distribution.UniformRealDistribution();
    double d1 = uniformRealDistribution0.getSupportLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test439"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(0.2840220195929899d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3284621826273002d);

  }

  @Test
  public void test440() {}
// Defects4J: flaky method
//   @Test
//   public void test440() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test440"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     int[] i_array3 = null;
//     well19937c1.setSeed(i_array3);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl6 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     long long8 = randomDataImpl6.nextPoisson(4.7421875d);
//     double d11 = randomDataImpl6.nextWeibull(1.3008467899619307d, 4.7421875d);
//     double d14 = randomDataImpl6.nextGamma(0.01d, 1.000000000000001d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d18 = randomDataImpl6.nextUniform(55.18570687454664d, (-6.906227849713769d), true);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
//     } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 6L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d11 == 7.19564022785553d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d14 == 4.3871074645409027E-54d);
// 
//   }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test441"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test442"); }


    int[] i_array3 = new int[] { 1, 10, 0 };
    org.apache.commons.math3.random.Well19937c well19937c4 = new org.apache.commons.math3.random.Well19937c(i_array3);
    org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution8 = new org.apache.commons.math3.distribution.UniformRealDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c4, (-1.0000000000000005E15d), 15.999999998898758d, 1.0E-15d);
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl9 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c4);
    double d12 = randomDataImpl9.nextUniform((-1.0d), 0.0d);
    double d15 = randomDataImpl9.nextF(5.772150090234194E-7d, 0.015926634982530708d);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array18 = randomDataImpl9.nextPermutation(32, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == (-0.8474522382621634d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.2178359128140095E-9d);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test443"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution2 = new org.apache.commons.math3.distribution.UniformRealDistribution(1.8011195184991933d, 1.3284621826273002d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test444"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(181, 90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 90);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test445"); }


    org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
    org.apache.commons.math3.distribution.FDistribution fDistribution4 = new org.apache.commons.math3.distribution.FDistribution(randomGenerator0, 0.6665295926926672d, 18.64382429064885d, (-0.8340200696717661d));

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test446"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.distribution.FDistribution fDistribution2 = new org.apache.commons.math3.distribution.FDistribution(1.6567002893411786d, (-0.8340200696717661d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test447"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { '#' };
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException6 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable2, (java.lang.Number)0, obj_array5);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException7 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)(short)100, obj_array5);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext8 = maxCountExceededException7.getContext();
    java.lang.Number number9 = maxCountExceededException7.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + (short)100+ "'", number9.equals((short)100));

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test448"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    double d4 = randomDataGenerator2.nextExponential(Double.NaN);
    randomDataGenerator2.reSeedSecure();
    // The following exception was thrown during execution in test generation
    try {
      int i9 = randomDataGenerator2.nextHypergeometric(1, 110599107, 658765031);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test449"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test450"); }


    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.math3.special.Gamma.logGamma1p((-0.9387123485327005d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test451() {}
// Defects4J: flaky method
//   @Test
//   public void test451() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test451"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     int[] i_array3 = null;
//     well19937c1.setSeed(i_array3);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl6 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     long long8 = randomDataImpl6.nextPoisson(4.7421875d);
//     int[] i_array12 = new int[] { 1, 10, 0 };
//     org.apache.commons.math3.random.Well19937c well19937c13 = new org.apache.commons.math3.random.Well19937c(i_array12);
//     org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution17 = new org.apache.commons.math3.distribution.UniformRealDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c13, (-1.0000000000000005E15d), 15.999999998898758d, 1.0E-15d);
//     double d18 = randomDataImpl6.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)uniformRealDistribution17);
//     double d21 = randomDataImpl6.nextCauchy((-0.10553980170680703d), 1.3008467899619307d);
//     double d24 = randomDataImpl6.nextUniform((-1.6085456136624754d), 100.0d);
//     double d26 = randomDataImpl6.nextExponential(0.40877566087838346d);
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array29 = randomDataImpl6.nextPermutation(0, 0);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 6L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == (-7.222376817679905E13d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d21 == (-2.387005986749429d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d24 == 94.89519581943783d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d26 == 0.10648003780181743d);
// 
//   }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test452"); }


    double d2 = org.apache.commons.math3.special.Beta.logBeta(0.8379852878801965d, (-0.21585067465887614d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test453() {}
// Defects4J: flaky method
//   @Test
//   public void test453() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test453"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     int[] i_array3 = null;
//     well19937c1.setSeed(i_array3);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     long long8 = randomDataGenerator5.nextLong((-8212038001447565823L), 2L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == (-5885007298371773440L));
// 
//   }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test454"); }


    java.lang.Number number0 = null;
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException(number0, (java.lang.Number)Double.POSITIVE_INFINITY, (java.lang.Number)1.0E-15d);
    java.lang.Number number4 = outOfRangeException3.getHi();
    java.lang.Number number5 = outOfRangeException3.getHi();
    java.lang.String str6 = outOfRangeException3.toString();
    java.lang.Number number7 = outOfRangeException3.getLo();
    java.lang.Number number8 = null;
    java.lang.Number number9 = null;
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException11 = new org.apache.commons.math3.exception.OutOfRangeException(number8, number9, (java.lang.Number)1.0d);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext12 = outOfRangeException11.getContext();
    outOfRangeException3.addSuppressed((java.lang.Throwable)outOfRangeException11);
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException15 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)9.999999999999997E-16d);
    outOfRangeException11.addSuppressed((java.lang.Throwable)notStrictlyPositiveException15);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext17 = outOfRangeException11.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 1.0E-15d+ "'", number4.equals(1.0E-15d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 1.0E-15d+ "'", number5.equals(1.0E-15d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math3.exception.OutOfRangeException: null out of [\u221E, 0] range"+ "'", str6.equals("org.apache.commons.math3.exception.OutOfRangeException: null out of [\u221E, 0] range"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + Double.POSITIVE_INFINITY+ "'", number7.equals(Double.POSITIVE_INFINITY));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext17);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test455"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test456"); }


    org.apache.commons.math3.analysis.integration.IterativeLegendreGaussIntegrator iterativeLegendreGaussIntegrator3 = new org.apache.commons.math3.analysis.integration.IterativeLegendreGaussIntegrator((-1), (-0.3356943843944728d), (-0.6472951994859133d));
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction5 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = iterativeLegendreGaussIntegrator3.integrate(1, univariateFunction5, 0.0d, (-0.5965239246370592d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test457"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    double d5 = randomDataGenerator2.nextF(1.0d, 1.0E-15d);
    randomDataGenerator2.reSeed(0L);
    java.lang.String str9 = randomDataGenerator2.nextHexString(90);
    // The following exception was thrown during execution in test generation
    try {
      int i13 = randomDataGenerator2.nextHypergeometric(0, 1197141900, 203882370);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 15.999999998898758d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "7c95c53e6ebf6e7867c80117938712b6d1fc1bdb7c811cb70e1981072104afe3e4772358229cc7e89a91a0aff6"+ "'", str9.equals("7c95c53e6ebf6e7867c80117938712b6d1fc1bdb7c811cb70e1981072104afe3e4772358229cc7e89a91a0aff6"));

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test458"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException3 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)(-1.4E-45f), obj_array2);
    java.lang.Number number4 = maxCountExceededException3.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + (-1.4E-45f)+ "'", number4.equals((-1.4E-45f)));

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test459"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    well19937c1.setSeed(1);
    float f4 = well19937c1.nextFloat();
    double d5 = well19937c1.nextGaussian();
    org.apache.commons.math3.distribution.FDistribution fDistribution9 = new org.apache.commons.math3.distribution.FDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c1, 0.3742437696541317d, 0.1681004204004124d, 1.0E-15d);
    double d11 = fDistribution9.cumulativeProbability(0.0d);
    double d14 = fDistribution9.probability(Double.NaN, (-1.898211315763523E14d));
    boolean b15 = fDistribution9.isSupportUpperBoundInclusive();
    double d17 = fDistribution9.density(32.94631867978169d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f4 == 0.27873123f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-0.4320285708747327d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.001249207975858252d);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test460"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)1.5378627388930775d, (java.lang.Number)2.7725887221709535d, true);

  }

  @Test
  public void test461() {}
// Defects4J: flaky method
//   @Test
//   public void test461() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test461"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     int[] i_array3 = null;
//     well19937c1.setSeed(i_array3);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl6 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     long long8 = randomDataImpl6.nextPoisson(4.7421875d);
//     int[] i_array12 = new int[] { 1, 10, 0 };
//     org.apache.commons.math3.random.Well19937c well19937c13 = new org.apache.commons.math3.random.Well19937c(i_array12);
//     org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution17 = new org.apache.commons.math3.distribution.UniformRealDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c13, (-1.0000000000000005E15d), 15.999999998898758d, 1.0E-15d);
//     double d18 = randomDataImpl6.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)uniformRealDistribution17);
//     double d21 = randomDataImpl6.nextCauchy((-0.10553980170680703d), 1.3008467899619307d);
//     double d24 = randomDataImpl6.nextUniform((-1.6085456136624754d), 100.0d);
//     long long27 = randomDataImpl6.nextSecureLong(3L, 7617141686494654831L);
//     double d30 = randomDataImpl6.nextCauchy((-0.5965239246370592d), 4.0d);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long33 = randomDataImpl6.nextLong(0L, (-833491931516635789L));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
//     } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 2L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == (-2.843640523940656E14d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d21 == 0.4300507256820498d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d24 == 26.54877101657858d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long27 == 1710436114448499968L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d30 == (-1.700967260816566d));
// 
//   }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test462"); }


    double d3 = org.apache.commons.math3.special.Beta.regularizedBeta(0.3742437696541317d, (-1.0648339088158205d), 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test463() {}
// Defects4J: flaky method
//   @Test
//   public void test463() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test463"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     int[] i_array3 = null;
//     well19937c1.setSeed(i_array3);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl6 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     long long8 = randomDataImpl6.nextPoisson(4.7421875d);
//     int[] i_array12 = new int[] { 1, 10, 0 };
//     org.apache.commons.math3.random.Well19937c well19937c13 = new org.apache.commons.math3.random.Well19937c(i_array12);
//     org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution17 = new org.apache.commons.math3.distribution.UniformRealDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c13, (-1.0000000000000005E15d), 15.999999998898758d, 1.0E-15d);
//     double d18 = randomDataImpl6.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)uniformRealDistribution17);
//     double d21 = randomDataImpl6.nextCauchy((-0.10553980170680703d), 1.3008467899619307d);
//     randomDataImpl6.reSeed(0L);
//     randomDataImpl6.reSeed(0L);
//     double d28 = randomDataImpl6.nextF(15.999999998898758d, 1.0E-6d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d30 = randomDataImpl6.nextT((-2.0857484564318894E14d));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 7L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == (-4.013937315499526E13d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d21 == 5.220377528097757d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d28 == 1.0737418240739207E9d);
// 
//   }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test464"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1023));

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test465"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2((-9.981068942091838E13d), (-15.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.5707963267950469d));

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test466"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(8.14333903275229d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.7940962798468822d);

  }

  @Test
  public void test467() {}
// Defects4J: flaky method
//   @Test
//   public void test467() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test467"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     double d5 = randomDataGenerator2.nextF(1.0d, 1.0E-15d);
//     randomDataGenerator2.reSeed();
//     double d8 = randomDataGenerator2.nextT(100.0d);
//     java.lang.String str10 = randomDataGenerator2.nextHexString(32);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d12 = randomDataGenerator2.nextChiSquare(0.0d);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 15.999999998898758d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == (-0.6732443418413492d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str10 + "' != '" + "5a179030fabab71e6f85062c8212aa21"+ "'", str10.equals("5a179030fabab71e6f85062c8212aa21"));
// 
//   }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test468"); }


    double d4 = org.apache.commons.math3.special.Beta.logBeta(0.01d, (-0.9412944553604043d), 1.4212381768674371d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test469"); }


    org.apache.commons.math3.random.RandomDataImpl randomDataImpl0 = new org.apache.commons.math3.random.RandomDataImpl();
    // The following exception was thrown during execution in test generation
    try {
      double d4 = randomDataImpl0.nextUniform(4.9E-324d, 0.0d, true);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test470"); }


    org.apache.commons.math3.distribution.FDistribution fDistribution2 = new org.apache.commons.math3.distribution.FDistribution(Double.NaN, Double.NaN);
    double d4 = fDistribution2.density((-1.0d));
    fDistribution2.reseedRandomGenerator((-1L));
    boolean b7 = fDistribution2.isSupportConnected();
    double d8 = fDistribution2.getNumeratorDegreesOfFreedom();
    double d9 = fDistribution2.getNumeratorDegreesOfFreedom();
    double d10 = fDistribution2.getNumeratorDegreesOfFreedom();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test471"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    well19937c1.setSeed(1);
    float f4 = well19937c1.nextFloat();
    double d5 = well19937c1.nextGaussian();
    org.apache.commons.math3.distribution.FDistribution fDistribution9 = new org.apache.commons.math3.distribution.FDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c1, 0.3742437696541317d, 0.1681004204004124d, 1.0E-15d);
    double d11 = fDistribution9.cumulativeProbability(2.718281828459045d);
    // The following exception was thrown during execution in test generation
    try {
      double d14 = fDistribution9.probability((-1.7909800676502186d), (-24.75341374019074d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f4 == 0.27873123f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-0.4320285708747327d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.3958678568068018d);

  }

  @Test
  public void test472() {}
// Defects4J: flaky method
//   @Test
//   public void test472() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test472"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     double d5 = randomDataGenerator2.nextF(1.0d, 1.0E-15d);
//     randomDataGenerator2.reSeed();
//     double d8 = randomDataGenerator2.nextT(100.0d);
//     randomDataGenerator2.reSeed(9L);
//     double d14 = randomDataGenerator2.nextUniform((-1.0000000000000005E15d), 0.0d, false);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d17 = randomDataGenerator2.nextBeta(0.0d, 3.1622776601683784E7d);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoBracketingException");
//     } catch (org.apache.commons.math3.exception.NoBracketingException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NoBracketingException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoBracketingException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 15.999999998898758d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == (-1.1829542746512542d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d14 == (-1.1276968847903219E14d));
// 
//   }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test473"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    int[] i_array3 = null;
    well19937c1.setSeed(i_array3);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl6 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    // The following exception was thrown during execution in test generation
    try {
      double d9 = randomDataImpl6.nextGaussian(2.6881171418161356E43d, (-0.21585067465887614d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test474"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(10.0f, 0.1904834217843172d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.999999f);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test475"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(7.6293945E-6f, 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.6293945E-6f);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test476"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    double d4 = randomDataGenerator2.nextExponential(Double.NaN);
    java.lang.String str6 = randomDataGenerator2.nextHexString(1);
    double d9 = randomDataGenerator2.nextCauchy((-0.8340200696717661d), 1.0E-6d);
    randomDataGenerator2.reSeedSecure();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "0"+ "'", str6.equals("0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == (-0.8340230002032871d));

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test477"); }


    double d4 = org.apache.commons.math3.special.Gamma.regularizedGammaQ(0.6665295926926672d, 0.0d, (-0.10553980170680703d), 90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test478"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-1737377827), (-6));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-6));

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test479"); }


    org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution0 = new org.apache.commons.math3.distribution.UniformRealDistribution();
    boolean b1 = uniformRealDistribution0.isSupportLowerBoundInclusive();
    double d3 = uniformRealDistribution0.density(0.4799706618782067d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test480"); }


    org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution0 = new org.apache.commons.math3.distribution.UniformRealDistribution();
    boolean b1 = uniformRealDistribution0.isSupportConnected();
    boolean b2 = uniformRealDistribution0.isSupportConnected();
    boolean b3 = uniformRealDistribution0.isSupportConnected();
    double d4 = uniformRealDistribution0.getNumericalMean();
    double d6 = uniformRealDistribution0.density(1.0E-6d);
    double d8 = uniformRealDistribution0.cumulativeProbability((-0.3356943843944728d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test481"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    java.lang.Object[] obj_array4 = new java.lang.Object[] { '#' };
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException5 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable1, (java.lang.Number)0, obj_array4);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException6 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable0, obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);

  }

  @Test
  public void test482() {}
// Defects4J: flaky method
//   @Test
//   public void test482() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test482"); }
// 
// 
//     double d0 = org.apache.commons.math3.util.FastMath.random();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d0 == 0.4493529956336545d);
// 
//   }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test483"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(1.1344255337046305d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7154968061926497d);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test484"); }


    double d1 = org.apache.commons.math3.special.Gamma.gamma(71.4954766285273d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 9.88315782112187E100d);

  }

  @Test
  public void test485() {}
// Defects4J: flaky method
//   @Test
//   public void test485() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test485"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator0 = new org.apache.commons.math3.random.RandomDataGenerator();
//     double d2 = randomDataGenerator0.nextT(15.999999998898758d);
//     int i5 = randomDataGenerator0.nextInt(0, 100);
//     // The following exception was thrown during execution in test generation
//     try {
//       int i8 = randomDataGenerator0.nextBinomial(2147483647, 36.83576231750469d);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
//     } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == 0.17539928224025014d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 99);
// 
//   }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test486"); }


    org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution0 = new org.apache.commons.math3.distribution.UniformRealDistribution();
    boolean b1 = uniformRealDistribution0.isSupportLowerBoundInclusive();
    double d2 = uniformRealDistribution0.getNumericalMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5d);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test487"); }


    org.apache.commons.math3.distribution.FDistribution fDistribution2 = new org.apache.commons.math3.distribution.FDistribution(Double.NaN, Double.NaN);
    double d4 = fDistribution2.density((-1.0d));
    fDistribution2.reseedRandomGenerator((-1L));
    boolean b7 = fDistribution2.isSupportConnected();
    double d8 = fDistribution2.getNumeratorDegreesOfFreedom();
    double d9 = fDistribution2.getNumericalMean();
    double d10 = fDistribution2.getSupportLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test488"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp((-8.23621488634286E14d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.125d);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test489"); }


    int[] i_array3 = new int[] { 1, 10, 0 };
    org.apache.commons.math3.random.Well19937c well19937c4 = new org.apache.commons.math3.random.Well19937c(i_array3);
    org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution8 = new org.apache.commons.math3.distribution.UniformRealDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c4, (-1.0000000000000005E15d), 15.999999998898758d, 1.0E-15d);
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl9 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c4);
    double d13 = randomDataImpl9.nextUniform(2.3978952727983707d, 9.999999999999994E14d, true);
    // The following exception was thrown during execution in test generation
    try {
      double d16 = randomDataImpl9.nextF((-0.7615941559557649d), (-1.0d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.525477617378385E14d);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test490"); }


    org.apache.commons.math3.analysis.integration.IterativeLegendreGaussIntegrator iterativeLegendreGaussIntegrator3 = new org.apache.commons.math3.analysis.integration.IterativeLegendreGaussIntegrator(100, 3.8761550813359302d, 3.8761550813359302d);
    int i4 = iterativeLegendreGaussIntegrator3.getEvaluations();
    int i5 = iterativeLegendreGaussIntegrator3.getEvaluations();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d10 = iterativeLegendreGaussIntegrator3.integrate(1755678109, univariateFunction7, 4.0d, (-6.971963020022206E14d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test491"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(0.0f, (-1.4E-45f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test492"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(-24.75341374019074d), (java.lang.Number)5.299108745631426E-4d, false);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test493"); }


    double d4 = org.apache.commons.math3.special.Beta.regularizedBeta(1.0E-15d, (-0.7359704175800968d), 56.94796510981879d, 121);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test494"); }


    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)(-1.0000000000000005E15d), number1, false);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test495"); }


    int[] i_array3 = new int[] { 1, 10, 0 };
    org.apache.commons.math3.random.Well19937c well19937c4 = new org.apache.commons.math3.random.Well19937c(i_array3);
    org.apache.commons.math3.distribution.UniformRealDistribution uniformRealDistribution8 = new org.apache.commons.math3.distribution.UniformRealDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c4, (-1.0000000000000005E15d), 15.999999998898758d, 1.0E-15d);
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl9 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c4);
    double d12 = randomDataImpl9.nextUniform((-1.0d), 0.0d);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str14 = randomDataImpl9.nextHexString((-1023));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == (-0.8474522382621634d));

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test496"); }


    double d5 = org.apache.commons.math3.special.Beta.regularizedBeta((-9.16666666666667E14d), 5.299108745631426E-4d, 3.1622776601683784E7d, 32.94631867978169d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test497() {}
// Defects4J: flaky method
//   @Test
//   public void test497() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test497"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10L);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator2 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     int[] i_array3 = null;
//     well19937c1.setSeed(i_array3);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl6 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     long long8 = randomDataImpl6.nextPoisson(4.7421875d);
//     double d10 = randomDataImpl6.nextT(2.8386559299780614d);
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array13 = randomDataImpl6.nextPermutation(100, 658765031);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
//     } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 5L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d10 == 2.9379638710223235d);
// 
//   }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test498"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.2675353655380861d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.2675353655380861d);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test499"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(0.1681004204004124d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.1681004204004124d);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test500"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(0.0f, 0.9548162f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.9548162f);

  }

}
